// java wrapper for vtkContextItem object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkContextItem.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkContextItem_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkContextItem",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkContextItem_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkContextItem *op;
  const char    *temp20;

  op = (vtkContextItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextItem_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkContextItem *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkContextItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextItem_Update_12(JNIEnv *env, jobject obj)
{
  vtkContextItem *op;

  op = (vtkContextItem *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkContextItem_Paint_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextItem *op;
  vtkContext2D  *temp0;
  bool   temp20;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Paint(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextItem_SetTransform_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextItem *op;
  vtkTransform2D  *temp0;
  temp0 = (vtkTransform2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTransform(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkContextItem_GetTransform_15(JNIEnv *env, jobject obj)
{
  vtkContextItem *op;
  vtkTransform2D  *temp20;

  op = (vtkContextItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkContextItem_GetVisible_16(JNIEnv *env, jobject obj)
{
  vtkContextItem *op;
  bool   temp20;

  op = (vtkContextItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVisible();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextItem_SetVisible_17(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkContextItem *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkContextItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVisible(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkContextItem_GetOpacity_18(JNIEnv *env, jobject obj)
{
  vtkContextItem *op;
  double   temp20;

  op = (vtkContextItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOpacity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextItem_SetOpacity_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkContextItem *op;
  double   temp0;
  temp0 = id0;

  op = (vtkContextItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOpacity(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextItem_Translate_110(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkContextItem *op;
  float    temp0;
  float    temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkContextItem *)vtkJavaGetPointerFromObject(env,obj);
  op->Translate(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextItem_SetScene_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextItem *op;
  vtkContextScene  *temp0;
  temp0 = (vtkContextScene *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScene(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkContextItem_GetScene_112(JNIEnv *env, jobject obj)
{
  vtkContextItem *op;
  vtkContextScene  *temp20;

  op = (vtkContextItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScene();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextItem_ReleaseGraphicsResources_113(JNIEnv *env, jobject obj)
{
  vtkContextItem *op;

  op = (vtkContextItem *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources();
}
