// java wrapper for vtkModifiedBSPTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkModifiedBSPTree.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractCellLocator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkModifiedBSPTree_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkModifiedBSPTree",dType)) { return me; }
  if ((res= vtkAbstractCellLocator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkModifiedBSPTree_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkModifiedBSPTree *op;
  const char    *temp20;

  op = (vtkModifiedBSPTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModifiedBSPTree_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkModifiedBSPTree *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkModifiedBSPTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModifiedBSPTree_FreeSearchStructure_12(JNIEnv *env, jobject obj)
{
  vtkModifiedBSPTree *op;

  op = (vtkModifiedBSPTree *)vtkJavaGetPointerFromObject(env,obj);
  op->FreeSearchStructure();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModifiedBSPTree_BuildLocator_13(JNIEnv *env, jobject obj)
{
  vtkModifiedBSPTree *op;

  op = (vtkModifiedBSPTree *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildLocator();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkModifiedBSPTree_VTKInit(JNIEnv *, jobject)
{
  vtkModifiedBSPTree *aNewOne = vtkModifiedBSPTree::New();
  return (jlong)(size_t)(void*)aNewOne;
}
