// java wrapper for vtkAppendFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAppendFilter.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAppendFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAppendFilter",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAppendFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAppendFilter *op;
  const char    *temp20;

  op = (vtkAppendFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAppendFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAppendFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAppendFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAppendFilter_RemoveInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAppendFilter *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAppendFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAppendFilter_GetInputList_13(JNIEnv *env, jobject obj)
{
  vtkAppendFilter *op;
  vtkDataSetCollection  *temp20;

  op = (vtkAppendFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputList();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkAppendFilter_VTKInit(JNIEnv *, jobject)
{
  vtkAppendFilter *aNewOne = vtkAppendFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
