// java wrapper for vtkCubeAxesActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCubeAxesActor.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkActor_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCubeAxesActor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCubeAxesActor",dType)) { return me; }
  if ((res= vtkActor_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCubeAxesActor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  const char    *temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCubeAxesActor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor_RenderOpaqueGeometry_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCubeAxesActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor_RenderTranslucentGeometry_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCubeAxesActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetBounds_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkCubeAxesActor *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetBounds_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCubeAxesActor *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCubeAxesActor_GetBounds_16(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  double  *temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_GetBounds_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCubeAxesActor *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetCamera_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCubeAxesActor *op;
  vtkCamera  *temp0;
  temp0 = (vtkCamera *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCamera(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCubeAxesActor_GetCamera_19(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  vtkCamera  *temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCamera();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetFlyMode_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFlyMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor_GetFlyModeMinValue_111(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  int      temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFlyModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor_GetFlyModeMaxValue_112(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  int      temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFlyModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor_GetFlyMode_113(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  int      temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFlyMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetFlyModeToOuterEdges_114(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFlyModeToOuterEdges();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetFlyModeToClosestTriad_115(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFlyModeToClosestTriad();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetFlyModeToFurthestTriad_116(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFlyModeToFurthestTriad();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetFlyModeToStaticTriad_117(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFlyModeToStaticTriad();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetFlyModeToStaticEdges_118(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFlyModeToStaticEdges();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetXTitle_119(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCubeAxesActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXTitle(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCubeAxesActor_GetXTitle_120(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  char    *temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXTitle();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetXUnits_121(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCubeAxesActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXUnits(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCubeAxesActor_GetXUnits_122(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  char    *temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXUnits();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetYTitle_123(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCubeAxesActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYTitle(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCubeAxesActor_GetYTitle_124(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  char    *temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYTitle();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetYUnits_125(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCubeAxesActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYUnits(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCubeAxesActor_GetYUnits_126(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  char    *temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYUnits();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetZTitle_127(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCubeAxesActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZTitle(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCubeAxesActor_GetZTitle_128(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  char    *temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZTitle();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetZUnits_129(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCubeAxesActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZUnits(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCubeAxesActor_GetZUnits_130(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  char    *temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZUnits();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetXLabelFormat_131(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCubeAxesActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXLabelFormat(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCubeAxesActor_GetXLabelFormat_132(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  char    *temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXLabelFormat();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetYLabelFormat_133(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCubeAxesActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYLabelFormat(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCubeAxesActor_GetYLabelFormat_134(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  char    *temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYLabelFormat();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetZLabelFormat_135(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCubeAxesActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZLabelFormat(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCubeAxesActor_GetZLabelFormat_136(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  char    *temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZLabelFormat();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetInertia_137(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInertia(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor_GetInertiaMinValue_138(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  int      temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInertiaMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor_GetInertiaMaxValue_139(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  int      temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInertiaMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor_GetInertia_140(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  int      temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInertia();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetCornerOffset_141(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCubeAxesActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCornerOffset(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCubeAxesActor_GetCornerOffset_142(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  double   temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCornerOffset();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_ReleaseGraphicsResources_143(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCubeAxesActor *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetXAxisVisibility_144(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXAxisVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor_GetXAxisVisibility_145(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  int      temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXAxisVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_XAxisVisibilityOn_146(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->XAxisVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_XAxisVisibilityOff_147(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->XAxisVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetYAxisVisibility_148(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYAxisVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor_GetYAxisVisibility_149(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  int      temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYAxisVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_YAxisVisibilityOn_150(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->YAxisVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_YAxisVisibilityOff_151(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->YAxisVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetZAxisVisibility_152(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZAxisVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor_GetZAxisVisibility_153(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  int      temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZAxisVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_ZAxisVisibilityOn_154(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ZAxisVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_ZAxisVisibilityOff_155(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ZAxisVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetXAxisLabelVisibility_156(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXAxisLabelVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor_GetXAxisLabelVisibility_157(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  int      temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXAxisLabelVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_XAxisLabelVisibilityOn_158(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->XAxisLabelVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_XAxisLabelVisibilityOff_159(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->XAxisLabelVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetYAxisLabelVisibility_160(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYAxisLabelVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor_GetYAxisLabelVisibility_161(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  int      temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYAxisLabelVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_YAxisLabelVisibilityOn_162(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->YAxisLabelVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_YAxisLabelVisibilityOff_163(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->YAxisLabelVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetZAxisLabelVisibility_164(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZAxisLabelVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor_GetZAxisLabelVisibility_165(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  int      temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZAxisLabelVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_ZAxisLabelVisibilityOn_166(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ZAxisLabelVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_ZAxisLabelVisibilityOff_167(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ZAxisLabelVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetXAxisTickVisibility_168(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXAxisTickVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor_GetXAxisTickVisibility_169(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  int      temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXAxisTickVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_XAxisTickVisibilityOn_170(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->XAxisTickVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_XAxisTickVisibilityOff_171(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->XAxisTickVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetYAxisTickVisibility_172(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYAxisTickVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor_GetYAxisTickVisibility_173(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  int      temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYAxisTickVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_YAxisTickVisibilityOn_174(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->YAxisTickVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_YAxisTickVisibilityOff_175(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->YAxisTickVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetZAxisTickVisibility_176(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZAxisTickVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor_GetZAxisTickVisibility_177(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  int      temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZAxisTickVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_ZAxisTickVisibilityOn_178(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ZAxisTickVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_ZAxisTickVisibilityOff_179(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ZAxisTickVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetXAxisMinorTickVisibility_180(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXAxisMinorTickVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor_GetXAxisMinorTickVisibility_181(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  int      temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXAxisMinorTickVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_XAxisMinorTickVisibilityOn_182(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->XAxisMinorTickVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_XAxisMinorTickVisibilityOff_183(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->XAxisMinorTickVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetYAxisMinorTickVisibility_184(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYAxisMinorTickVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor_GetYAxisMinorTickVisibility_185(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  int      temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYAxisMinorTickVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_YAxisMinorTickVisibilityOn_186(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->YAxisMinorTickVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_YAxisMinorTickVisibilityOff_187(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->YAxisMinorTickVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetZAxisMinorTickVisibility_188(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZAxisMinorTickVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor_GetZAxisMinorTickVisibility_189(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  int      temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZAxisMinorTickVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_ZAxisMinorTickVisibilityOn_190(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ZAxisMinorTickVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_ZAxisMinorTickVisibilityOff_191(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ZAxisMinorTickVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetDrawXGridlines_192(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDrawXGridlines(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor_GetDrawXGridlines_193(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  int      temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDrawXGridlines();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_DrawXGridlinesOn_194(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawXGridlinesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_DrawXGridlinesOff_195(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawXGridlinesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetDrawYGridlines_196(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDrawYGridlines(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor_GetDrawYGridlines_197(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  int      temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDrawYGridlines();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_DrawYGridlinesOn_198(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawYGridlinesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_DrawYGridlinesOff_199(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawYGridlinesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetDrawZGridlines_1100(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDrawZGridlines(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor_GetDrawZGridlines_1101(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  int      temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDrawZGridlines();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_DrawZGridlinesOn_1102(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawZGridlinesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_DrawZGridlinesOff_1103(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawZGridlinesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetTickLocation_1104(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTickLocation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor_GetTickLocationMinValue_1105(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  int      temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTickLocationMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor_GetTickLocationMaxValue_1106(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  int      temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTickLocationMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor_GetTickLocation_1107(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;
  int      temp20;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTickLocation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetTickLocationToInside_1108(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTickLocationToInside();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetTickLocationToOutside_1109(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTickLocationToOutside();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetTickLocationToBoth_1110(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTickLocationToBoth();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_SetLabelScaling_1111(JNIEnv *env, jobject obj,jboolean id0,jint id1,jint id2,jint id3)
{
  vtkCubeAxesActor *op;
  bool   temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  temp0 = (id0 != 0) ? true : false;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelScaling(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor_ShallowCopy_1112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCubeAxesActor *op;
  vtkCubeAxesActor  *temp0;
  temp0 = (vtkCubeAxesActor *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCubeAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCubeAxesActor_VTKInit(JNIEnv *, jobject)
{
  vtkCubeAxesActor *aNewOne = vtkCubeAxesActor::New();
  return (jlong)(size_t)(void*)aNewOne;
}
