// python wrapper for vtkImageDataLIC2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageDataLIC2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageDataLIC2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageDataLIC2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkImageDataLIC2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataLIC2D *op;

  const char    *temp20;
  op = (vtkImageDataLIC2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataLIC2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataLIC2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataLIC2D *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageDataLIC2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataLIC2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataLIC2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataLIC2D *op;

  vtkImageDataLIC2D  *temp20;
  op = (vtkImageDataLIC2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataLIC2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataLIC2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageDataLIC2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageDataLIC2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageDataLIC2D_SetContext(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataLIC2D *op;

  vtkRenderWindow  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkImageDataLIC2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindow");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataLIC2D::SetContext(temp0);
      }
    else
      {
      temp20 = op->SetContext(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkImageDataLIC2D_GetContext(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataLIC2D *op;

  vtkRenderWindow  *temp20;
  op = (vtkImageDataLIC2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataLIC2D::GetContext();
      }
    else
      {
      temp20 = op->GetContext();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataLIC2D_SetSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataLIC2D *op;

  int      temp0;
  op = (vtkImageDataLIC2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDataLIC2D::SetSteps(temp0);
      }
    else
      {
      op->SetSteps(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataLIC2D_GetSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataLIC2D *op;

  int      temp20;
  op = (vtkImageDataLIC2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataLIC2D::GetSteps();
      }
    else
      {
      temp20 = op->GetSteps();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataLIC2D_SetStepSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataLIC2D *op;

  double   temp0;
  op = (vtkImageDataLIC2D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDataLIC2D::SetStepSize(temp0);
      }
    else
      {
      op->SetStepSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataLIC2D_GetStepSizeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataLIC2D *op;

  double   temp20;
  op = (vtkImageDataLIC2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataLIC2D::GetStepSizeMinValue();
      }
    else
      {
      temp20 = op->GetStepSizeMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataLIC2D_GetStepSizeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataLIC2D *op;

  double   temp20;
  op = (vtkImageDataLIC2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataLIC2D::GetStepSizeMaxValue();
      }
    else
      {
      temp20 = op->GetStepSizeMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataLIC2D_GetStepSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataLIC2D *op;

  double   temp20;
  op = (vtkImageDataLIC2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataLIC2D::GetStepSize();
      }
    else
      {
      temp20 = op->GetStepSize();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataLIC2D_SetMagnification(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataLIC2D *op;

  int      temp0;
  op = (vtkImageDataLIC2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDataLIC2D::SetMagnification(temp0);
      }
    else
      {
      op->SetMagnification(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataLIC2D_GetMagnificationMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataLIC2D *op;

  int      temp20;
  op = (vtkImageDataLIC2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataLIC2D::GetMagnificationMinValue();
      }
    else
      {
      temp20 = op->GetMagnificationMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataLIC2D_GetMagnificationMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataLIC2D *op;

  int      temp20;
  op = (vtkImageDataLIC2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataLIC2D::GetMagnificationMaxValue();
      }
    else
      {
      temp20 = op->GetMagnificationMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataLIC2D_GetMagnification(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataLIC2D *op;

  int      temp20;
  op = (vtkImageDataLIC2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataLIC2D::GetMagnification();
      }
    else
      {
      temp20 = op->GetMagnification();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataLIC2D_GetOpenGLExtensionsSupported(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataLIC2D *op;

  int      temp20;
  op = (vtkImageDataLIC2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataLIC2D::GetOpenGLExtensionsSupported();
      }
    else
      {
      temp20 = op->GetOpenGLExtensionsSupported();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataLIC2D_GetFBOSuccess(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataLIC2D *op;

  int      temp20;
  op = (vtkImageDataLIC2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataLIC2D::GetFBOSuccess();
      }
    else
      {
      temp20 = op->GetFBOSuccess();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataLIC2D_GetLICSuccess(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataLIC2D *op;

  int      temp20;
  op = (vtkImageDataLIC2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataLIC2D::GetLICSuccess();
      }
    else
      {
      temp20 = op->GetLICSuccess();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageDataLIC2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageDataLIC2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageDataLIC2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageDataLIC2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageDataLIC2D\nC++: vtkImageDataLIC2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageDataLIC2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageDataLIC2D\nC++: vtkImageDataLIC2D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetContext",                (PyCFunction)PyvtkImageDataLIC2D_SetContext, 1,
   (char*)"V.SetContext(vtkRenderWindow) -> int\nC++: int SetContext (vtkRenderWindow *context);\n\n Get/Set the context. Context must be a vtkOpenGLRenderWindow. \n This does not increase the reference count of the \n context to avoid reference loops.\n SetContext() may raise an error is the OpenGL context does not support the\n required OpenGL extensions. Return 0 upon failure and 1 upon success.\n"},
  {(char*)"GetContext",                (PyCFunction)PyvtkImageDataLIC2D_GetContext, 1,
   (char*)"V.GetContext() -> vtkRenderWindow\nC++: vtkRenderWindow *GetContext ();\n\n Get/Set the context. Context must be a vtkOpenGLRenderWindow. \n This does not increase the reference count of the \n context to avoid reference loops.\n SetContext() may raise an error is the OpenGL context does not support the\n required OpenGL extensions. Return 0 upon failure and 1 upon success.\n"},
  {(char*)"SetSteps",                (PyCFunction)PyvtkImageDataLIC2D_SetSteps, 1,
   (char*)"V.SetSteps(int)\nC++: void SetSteps (int );\n\n Number of steps. Initial value is 20.\n class invariant: Steps>0.\n In term of visual quality, the greater the better.\n"},
  {(char*)"GetSteps",                (PyCFunction)PyvtkImageDataLIC2D_GetSteps, 1,
   (char*)"V.GetSteps() -> int\nC++: int GetSteps ();\n\n Number of steps. Initial value is 20.\n class invariant: Steps>0.\n In term of visual quality, the greater the better.\n"},
  {(char*)"SetStepSize",                (PyCFunction)PyvtkImageDataLIC2D_SetStepSize, 1,
   (char*)"V.SetStepSize(float)\nC++: void SetStepSize (double );\n\n Step size.\n Specify the step size as a unit of the cell length of the input vector\n field. Cell lenghth is the length of the diagonal of a cell.\n Initial value is 1.0.\n class invariant: StepSize>0.0.\n In term of visual quality, the smaller the better.\n The type for the interface is double as VTK interface is double\n but GPU only supports float. This value will be converted to\n float in the execution of the algorithm.\n"},
  {(char*)"GetStepSizeMinValue",                (PyCFunction)PyvtkImageDataLIC2D_GetStepSizeMinValue, 1,
   (char*)"V.GetStepSizeMinValue() -> float\nC++: double GetStepSizeMinValue ();\n\n Step size.\n Specify the step size as a unit of the cell length of the input vector\n field. Cell lenghth is the length of the diagonal of a cell.\n Initial value is 1.0.\n class invariant: StepSize>0.0.\n In term of visual quality, the smaller the better.\n The type for the interface is double as VTK interface is double\n but GPU only supports float. This value will be converted to\n float in the execution of the algorithm.\n"},
  {(char*)"GetStepSizeMaxValue",                (PyCFunction)PyvtkImageDataLIC2D_GetStepSizeMaxValue, 1,
   (char*)"V.GetStepSizeMaxValue() -> float\nC++: double GetStepSizeMaxValue ();\n\n Step size.\n Specify the step size as a unit of the cell length of the input vector\n field. Cell lenghth is the length of the diagonal of a cell.\n Initial value is 1.0.\n class invariant: StepSize>0.0.\n In term of visual quality, the smaller the better.\n The type for the interface is double as VTK interface is double\n but GPU only supports float. This value will be converted to\n float in the execution of the algorithm.\n"},
  {(char*)"GetStepSize",                (PyCFunction)PyvtkImageDataLIC2D_GetStepSize, 1,
   (char*)"V.GetStepSize() -> float\nC++: double GetStepSize ();\n\n Step size.\n Specify the step size as a unit of the cell length of the input vector\n field. Cell lenghth is the length of the diagonal of a cell.\n Initial value is 1.0.\n class invariant: StepSize>0.0.\n In term of visual quality, the smaller the better.\n The type for the interface is double as VTK interface is double\n but GPU only supports float. This value will be converted to\n float in the execution of the algorithm.\n"},
  {(char*)"SetMagnification",                (PyCFunction)PyvtkImageDataLIC2D_SetMagnification, 1,
   (char*)"V.SetMagnification(int)\nC++: void SetMagnification (int );\n\n The the magnification factor. Default is 1\n"},
  {(char*)"GetMagnificationMinValue",                (PyCFunction)PyvtkImageDataLIC2D_GetMagnificationMinValue, 1,
   (char*)"V.GetMagnificationMinValue() -> int\nC++: int GetMagnificationMinValue ();\n\n The the magnification factor. Default is 1\n"},
  {(char*)"GetMagnificationMaxValue",                (PyCFunction)PyvtkImageDataLIC2D_GetMagnificationMaxValue, 1,
   (char*)"V.GetMagnificationMaxValue() -> int\nC++: int GetMagnificationMaxValue ();\n\n The the magnification factor. Default is 1\n"},
  {(char*)"GetMagnification",                (PyCFunction)PyvtkImageDataLIC2D_GetMagnification, 1,
   (char*)"V.GetMagnification() -> int\nC++: int GetMagnification ();\n\n The the magnification factor. Default is 1\n"},
  {(char*)"GetOpenGLExtensionsSupported",                (PyCFunction)PyvtkImageDataLIC2D_GetOpenGLExtensionsSupported, 1,
   (char*)"V.GetOpenGLExtensionsSupported() -> int\nC++: int GetOpenGLExtensionsSupported ();\n\n Check if the required OpenGL extensions / GPU are supported.\n"},
  {(char*)"GetFBOSuccess",                (PyCFunction)PyvtkImageDataLIC2D_GetFBOSuccess, 1,
   (char*)"V.GetFBOSuccess() -> int\nC++: int GetFBOSuccess ();return this FBOSuccess \n\n Check if LIC runs properly.\n"},
  {(char*)"GetLICSuccess",                (PyCFunction)PyvtkImageDataLIC2D_GetLICSuccess, 1,
   (char*)"V.GetLICSuccess() -> int\nC++: int GetLICSuccess ();return this LICSuccess \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageDataLIC2DDoc[] = {
  (char*)"vtkImageDataLIC2D\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)"  GPU implementation of a Line Integral Convolution, a technique for\n  imaging  vector fields.\n\n  The input on port 0 is an vtkImageData with extents of a 2D image. It needs\n  a vector field on point data.\n  Port 1 is a special port for customized noise input. It is an optional port.\n  If not present, noise is generated by the filter. Even if none-power-of-two\n  texture are supported, giving a pow",
  (char*)"er-of-two image may result in faster\n  execution on the GPU.\n  If noise input is not specified, then the filter using vtkImageNoiseSource to\n  generate a 128x128 noise texture.\n  This filter only works on point vectors. One can use a\n  vtkCellDataToPointData filter to convert cell vectors to point vectors.\n\n .SECTION Required OpenGL Extensins\n  GL_ARB_texture_non_power_of_two\n  GL_VERSION_2_0\n  GL",
  (char*)"_ARB_texture_float\n  GL_ARB_draw_buffers\n  GL_EXT_framebuffer_object\n  GL_ARB_pixel_buffer_object\n\n\n",
  "See Also:\n\n vtkImageAlgorithm vtkImageNoiseSource \n\n",
  NULL
};

static vtkObjectBase *vtkImageDataLIC2DStaticNew()
{
  return vtkImageDataLIC2D::New();
}

PyObject *PyVTKClass_vtkImageDataLIC2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageDataLIC2DStaticNew,
                        PyvtkImageDataLIC2DMethods,
                        (char*)"vtkImageDataLIC2D",modulename,
                        (char**)vtkImageDataLIC2DDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

