// java wrapper for vtkMPASReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMPASReader.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMPASReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMPASReader",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMPASReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;
  const char    *temp20;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMPASReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMPASReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMPASReader_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMPASReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMPASReader_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;
  char    *temp20;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMPASReader_GetNumberOfDualCells_14(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;
  int      temp20;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfDualCells();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMPASReader_GetNumberOfDualPoints_15(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;
  int      temp20;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfDualPoints();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMPASReader_GetNumberOfVariables_16(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;
  int      temp20;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfVariables();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMPASReader_GetOutput_17(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;
  vtkUnstructuredGrid  *temp20;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMPASReader_GetOutput_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkMPASReader *op;
  int      temp0;
  vtkUnstructuredGrid  *temp20;
  temp0 = id0;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMPASReader_GetNumberOfPointArrays_19(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;
  int      temp20;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPointArrays();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMPASReader_GetPointArrayName_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkMPASReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMPASReader_GetPointArrayStatus_111(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMPASReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointArrayStatus(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMPASReader_SetPointArrayStatus_112(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkMPASReader *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointArrayStatus(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMPASReader_DisableAllPointArrays_113(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  op->DisableAllPointArrays();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMPASReader_EnableAllPointArrays_114(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  op->EnableAllPointArrays();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMPASReader_GetNumberOfCellArrays_115(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;
  int      temp20;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfCellArrays();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMPASReader_GetCellArrayName_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkMPASReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMPASReader_GetCellArrayStatus_117(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMPASReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellArrayStatus(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMPASReader_SetCellArrayStatus_118(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkMPASReader *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellArrayStatus(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMPASReader_DisableAllCellArrays_119(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  op->DisableAllCellArrays();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMPASReader_EnableAllCellArrays_120(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  op->EnableAllCellArrays();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMPASReader_SetVerticalLevel_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkMPASReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVerticalLevel(temp0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkMPASReader_GetVerticalLevelRange_122(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;
  int     *temp20;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVerticalLevelRange();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMPASReader_CanReadFile_123(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMPASReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CanReadFile(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMPASReader_VTKInit(JNIEnv *, jobject)
{
  vtkMPASReader *aNewOne = vtkMPASReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
