// python wrapper for vtkPPairwiseExtractHistogram2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPPairwiseExtractHistogram2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPPairwiseExtractHistogram2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPPairwiseExtractHistogram2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPairwiseExtractHistogram2DNew(char *); }

static PyObject *PyvtkPPairwiseExtractHistogram2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPPairwiseExtractHistogram2D *op;

  const char    *temp20;
  op = (vtkPPairwiseExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPPairwiseExtractHistogram2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPPairwiseExtractHistogram2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPPairwiseExtractHistogram2D *op;

  char    *temp0;
  int      temp20;
  op = (vtkPPairwiseExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPPairwiseExtractHistogram2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPPairwiseExtractHistogram2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPPairwiseExtractHistogram2D *op;

  vtkPPairwiseExtractHistogram2D  *temp20;
  op = (vtkPPairwiseExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPPairwiseExtractHistogram2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPPairwiseExtractHistogram2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPPairwiseExtractHistogram2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPPairwiseExtractHistogram2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPPairwiseExtractHistogram2D_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPPairwiseExtractHistogram2D *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkPPairwiseExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPPairwiseExtractHistogram2D::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPPairwiseExtractHistogram2D_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPPairwiseExtractHistogram2D *op;

  vtkMultiProcessController  *temp20;
  op = (vtkPPairwiseExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPPairwiseExtractHistogram2D::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPPairwiseExtractHistogram2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPPairwiseExtractHistogram2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPPairwiseExtractHistogram2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPPairwiseExtractHistogram2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPPairwiseExtractHistogram2D\nC++: vtkPPairwiseExtractHistogram2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPPairwiseExtractHistogram2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPPairwiseExtractHistogram2D\nC++: vtkPPairwiseExtractHistogram2D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkPPairwiseExtractHistogram2D_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: virtual void SetController (vtkMultiProcessController *);\n\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkPPairwiseExtractHistogram2D_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPPairwiseExtractHistogram2DDoc[] = {
  (char*)"vtkPPairwiseExtractHistogram2D - compute a 2D histogram between \n\n",
  "Super Class:\n\n vtkPairwiseExtractHistogram2D\n\n",
  (char*)"  This class does exactly the same this as vtkPairwiseExtractHistogram2D,\n  but does it in a multi-process environment.  After each node\n  computes their own local histograms, this class does an AllReduce\n  that distributes the sum of all local histograms onto each node.\n\n  Because vtkPairwiseExtractHistogram2D is a light wrapper around a series\n  of vtkExtractHistogram2D classes, this class just ",
  (char*)"overrides the function\n  that instantiates new histogram filters and returns the parallel version\n  (vtkPExtractHistogram2D).\n\n\n",
  "See Also:\n\n vtkExtractHistogram2D vtkPairwiseExtractHistogram2D vtkPExtractHistogram2D\n \n .SECTION Thanks\n Developed by David Feng at Sandia National Laboratories\n------------------------------------------------------------------------------\n----- ...\n [Truncated]\n\n",
  NULL
};

static vtkObjectBase *vtkPPairwiseExtractHistogram2DStaticNew()
{
  return vtkPPairwiseExtractHistogram2D::New();
}

PyObject *PyVTKClass_vtkPPairwiseExtractHistogram2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkPPairwiseExtractHistogram2DStaticNew,
                        PyvtkPPairwiseExtractHistogram2DMethods,
                        (char*)"vtkPPairwiseExtractHistogram2D",modulename,
                        (char**)vtkPPairwiseExtractHistogram2DDoc,
                        PyVTKClass_vtkPairwiseExtractHistogram2DNew(modulename));
}

