// python wrapper for vtkLabelHierarchyCompositeIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkLabelHierarchyCompositeIterator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLabelHierarchyCompositeIteratorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLabelHierarchyCompositeIteratorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkLabelHierarchyIteratorNew(char *); }

static PyObject *PyvtkLabelHierarchyCompositeIterator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyCompositeIterator *op;

  const char    *temp20;
  op = (vtkLabelHierarchyCompositeIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchyCompositeIterator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchyCompositeIterator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyCompositeIterator *op;

  char    *temp0;
  int      temp20;
  op = (vtkLabelHierarchyCompositeIterator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchyCompositeIterator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchyCompositeIterator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyCompositeIterator *op;

  vtkLabelHierarchyCompositeIterator  *temp20;
  op = (vtkLabelHierarchyCompositeIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchyCompositeIterator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchyCompositeIterator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLabelHierarchyCompositeIterator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLabelHierarchyCompositeIterator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkLabelHierarchyCompositeIterator_AddIterator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyCompositeIterator *op;

  vtkLabelHierarchyIterator  *temp0;
  PyObject *tempH0;
  op = (vtkLabelHierarchyCompositeIterator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkLabelHierarchyIterator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkLabelHierarchyIterator");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchyCompositeIterator::AddIterator(temp0);
      }
    else
      {
      op->AddIterator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  /* handle an occurrence */
  {
  vtkLabelHierarchyCompositeIterator *op;

  vtkLabelHierarchyIterator  *temp0;
  PyObject *tempH0;
  int      temp1;
  PyErr_Clear();
  op = (vtkLabelHierarchyCompositeIterator *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkLabelHierarchyIterator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkLabelHierarchyIterator");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchyCompositeIterator::AddIterator(temp0,temp1);
      }
    else
      {
      op->AddIterator(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkLabelHierarchyCompositeIterator_ClearIterators(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyCompositeIterator *op;

  op = (vtkLabelHierarchyCompositeIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchyCompositeIterator::ClearIterators();
      }
    else
      {
      op->ClearIterators();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchyCompositeIterator_Begin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyCompositeIterator *op;

  vtkIdTypeArray  *temp0;
  PyObject *tempH0;
  op = (vtkLabelHierarchyCompositeIterator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdTypeArray");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchyCompositeIterator::Begin(temp0);
      }
    else
      {
      op->Begin(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkLabelHierarchyCompositeIterator_Next(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyCompositeIterator *op;

  op = (vtkLabelHierarchyCompositeIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchyCompositeIterator::Next();
      }
    else
      {
      op->Next();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchyCompositeIterator_IsAtEnd(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyCompositeIterator *op;

  bool   temp20;
  op = (vtkLabelHierarchyCompositeIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchyCompositeIterator::IsAtEnd();
      }
    else
      {
      temp20 = op->IsAtEnd();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchyCompositeIterator_GetLabelId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyCompositeIterator *op;

  vtkIdType   temp20;
  op = (vtkLabelHierarchyCompositeIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchyCompositeIterator::GetLabelId();
      }
    else
      {
      temp20 = op->GetLabelId();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchyCompositeIterator_GetHierarchy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyCompositeIterator *op;

  vtkLabelHierarchy  *temp20;
  op = (vtkLabelHierarchyCompositeIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchyCompositeIterator::GetHierarchy();
      }
    else
      {
      temp20 = op->GetHierarchy();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchyCompositeIterator_BoxNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyCompositeIterator *op;

  op = (vtkLabelHierarchyCompositeIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchyCompositeIterator::BoxNode();
      }
    else
      {
      op->BoxNode();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchyCompositeIterator_BoxAllNodes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyCompositeIterator *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkLabelHierarchyCompositeIterator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchyCompositeIterator::BoxAllNodes(temp0);
      }
    else
      {
      op->BoxAllNodes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}

static PyMethodDef PyvtkLabelHierarchyCompositeIteratorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLabelHierarchyCompositeIterator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLabelHierarchyCompositeIterator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLabelHierarchyCompositeIterator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLabelHierarchyCompositeIterator\nC++: vtkLabelHierarchyCompositeIterator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLabelHierarchyCompositeIterator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLabelHierarchyCompositeIterator\nC++: vtkLabelHierarchyCompositeIterator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddIterator",                (PyCFunction)PyvtkLabelHierarchyCompositeIterator_AddIterator, 1,
   (char*)"V.AddIterator(vtkLabelHierarchyIterator)\nC++: virtual void AddIterator (vtkLabelHierarchyIterator *it);this AddIterator it \nV.AddIterator(vtkLabelHierarchyIterator, int)\nC++: virtual void AddIterator (vtkLabelHierarchyIterator *it, int count);\n\n Adds a label iterator to this composite iterator.\n The second optional argument is the number of times to repeat the iterator\n before moving to the next one round-robin style. Default is 1.\n"},
  {(char*)"ClearIterators",                (PyCFunction)PyvtkLabelHierarchyCompositeIterator_ClearIterators, 1,
   (char*)"V.ClearIterators()\nC++: virtual void ClearIterators ();\n\n Remove all iterators from this composite iterator.\n"},
  {(char*)"Begin",                (PyCFunction)PyvtkLabelHierarchyCompositeIterator_Begin, 1,
   (char*)"V.Begin(vtkIdTypeArray)\nC++: virtual void Begin (vtkIdTypeArray *);\n\n Initializes the iterator. lastLabels is an array holding labels\n which should be traversed before any other labels in the hierarchy.\n This could include labels placed during a previous rendering or\n a label located under the mouse pointer. You may pass a null pointer.\n"},
  {(char*)"Next",                (PyCFunction)PyvtkLabelHierarchyCompositeIterator_Next, 1,
   (char*)"V.Next()\nC++: virtual void Next ();\n\n Advance the iterator.\n"},
  {(char*)"IsAtEnd",                (PyCFunction)PyvtkLabelHierarchyCompositeIterator_IsAtEnd, 1,
   (char*)"V.IsAtEnd() -> bool\nC++: virtual bool IsAtEnd ();\n\n Returns true if the iterator is at the end.\n"},
  {(char*)"GetLabelId",                (PyCFunction)PyvtkLabelHierarchyCompositeIterator_GetLabelId, 1,
   (char*)"V.GetLabelId() -> int\nC++: virtual vtkIdType GetLabelId ();\n\n Retrieves the current label id.\n"},
  {(char*)"GetHierarchy",                (PyCFunction)PyvtkLabelHierarchyCompositeIterator_GetHierarchy, 1,
   (char*)"V.GetHierarchy() -> vtkLabelHierarchy\nC++: virtual vtkLabelHierarchy *GetHierarchy ();\n\n Retrieve the current label hierarchy.\n"},
  {(char*)"BoxNode",                (PyCFunction)PyvtkLabelHierarchyCompositeIterator_BoxNode, 1,
   (char*)"V.BoxNode()\nC++: virtual void BoxNode ();\n\n Not implemented.\n"},
  {(char*)"BoxAllNodes",                (PyCFunction)PyvtkLabelHierarchyCompositeIterator_BoxAllNodes, 1,
   (char*)"V.BoxAllNodes(vtkPolyData)\nC++: virtual void BoxAllNodes (vtkPolyData *);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLabelHierarchyCompositeIteratorDoc[] = {
  (char*)"vtkLabelHierarchyCompositeIterator - Iterator over sub-iterators\n\n",
  "Super Class:\n\n vtkLabelHierarchyIterator\n\n",
  (char*)" Iterates over child iterators in a round-robin order. Each iterator may\n have its own count, which is the number of times it is repeated until\n moving to the next iterator.\n \n For example, if you initialize the iterator with\n <pre>\n it->AddIterator(A, 1);\n it->AddIterator(B, 3);\n </pre>\n The order of iterators will be A,B,B,B,A,B,B,B,...\n\n",
  NULL
};

static vtkObjectBase *vtkLabelHierarchyCompositeIteratorStaticNew()
{
  return vtkLabelHierarchyCompositeIterator::New();
}

PyObject *PyVTKClass_vtkLabelHierarchyCompositeIteratorNew(char *modulename)
{
  return PyVTKClass_New(&vtkLabelHierarchyCompositeIteratorStaticNew,
                        PyvtkLabelHierarchyCompositeIteratorMethods,
                        (char*)"vtkLabelHierarchyCompositeIterator",modulename,
                        (char**)vtkLabelHierarchyCompositeIteratorDoc,
                        PyVTKClass_vtkLabelHierarchyIteratorNew(modulename));
}

