// python wrapper for vtkLabelPlacementMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkLabelPlacementMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLabelPlacementMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLabelPlacementMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMapper2DNew(char *); }

static PyObject *PyvtkLabelPlacementMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  const char    *temp20;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacementMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  char    *temp0;
  int      temp20;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacementMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  vtkLabelPlacementMapper  *temp20;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacementMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLabelPlacementMapper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLabelPlacementMapper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  vtkActor2D  *temp1;
  PyObject *tempH1;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkActor2D *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkActor2D");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::RenderOverlay(temp0,temp1);
      }
    else
      {
      op->RenderOverlay(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_SetRenderStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  vtkLabelRenderStrategy  *temp0;
  PyObject *tempH0;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkLabelRenderStrategy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkLabelRenderStrategy");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::SetRenderStrategy(temp0);
      }
    else
      {
      op->SetRenderStrategy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_GetRenderStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  vtkLabelRenderStrategy  *temp20;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacementMapper::GetRenderStrategy();
      }
    else
      {
      temp20 = op->GetRenderStrategy();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_SetMaximumLabelFraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  double   temp0;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::SetMaximumLabelFraction(temp0);
      }
    else
      {
      op->SetMaximumLabelFraction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_GetMaximumLabelFractionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  double   temp20;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacementMapper::GetMaximumLabelFractionMinValue();
      }
    else
      {
      temp20 = op->GetMaximumLabelFractionMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_GetMaximumLabelFractionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  double   temp20;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacementMapper::GetMaximumLabelFractionMaxValue();
      }
    else
      {
      temp20 = op->GetMaximumLabelFractionMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_GetMaximumLabelFraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  double   temp20;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacementMapper::GetMaximumLabelFraction();
      }
    else
      {
      temp20 = op->GetMaximumLabelFraction();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_SetIteratorType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  int      temp0;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::SetIteratorType(temp0);
      }
    else
      {
      op->SetIteratorType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_GetIteratorType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  int      temp20;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacementMapper::GetIteratorType();
      }
    else
      {
      temp20 = op->GetIteratorType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_SetUseUnicodeStrings(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  bool   temp0;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::SetUseUnicodeStrings(temp0);
      }
    else
      {
      op->SetUseUnicodeStrings(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_GetUseUnicodeStrings(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  bool   temp20;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacementMapper::GetUseUnicodeStrings();
      }
    else
      {
      temp20 = op->GetUseUnicodeStrings();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_UseUnicodeStringsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::UseUnicodeStringsOn();
      }
    else
      {
      op->UseUnicodeStringsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_UseUnicodeStringsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::UseUnicodeStringsOff();
      }
    else
      {
      op->UseUnicodeStringsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_GetPositionsAsNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  bool   temp20;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacementMapper::GetPositionsAsNormals();
      }
    else
      {
      temp20 = op->GetPositionsAsNormals();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_SetPositionsAsNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  bool   temp0;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::SetPositionsAsNormals(temp0);
      }
    else
      {
      op->SetPositionsAsNormals(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_PositionsAsNormalsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::PositionsAsNormalsOn();
      }
    else
      {
      op->PositionsAsNormalsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_PositionsAsNormalsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::PositionsAsNormalsOff();
      }
    else
      {
      op->PositionsAsNormalsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_GetGeneratePerturbedLabelSpokes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  bool   temp20;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacementMapper::GetGeneratePerturbedLabelSpokes();
      }
    else
      {
      temp20 = op->GetGeneratePerturbedLabelSpokes();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_SetGeneratePerturbedLabelSpokes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  bool   temp0;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::SetGeneratePerturbedLabelSpokes(temp0);
      }
    else
      {
      op->SetGeneratePerturbedLabelSpokes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_GeneratePerturbedLabelSpokesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::GeneratePerturbedLabelSpokesOn();
      }
    else
      {
      op->GeneratePerturbedLabelSpokesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_GeneratePerturbedLabelSpokesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::GeneratePerturbedLabelSpokesOff();
      }
    else
      {
      op->GeneratePerturbedLabelSpokesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_GetUseDepthBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  bool   temp20;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacementMapper::GetUseDepthBuffer();
      }
    else
      {
      temp20 = op->GetUseDepthBuffer();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_SetUseDepthBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  bool   temp0;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::SetUseDepthBuffer(temp0);
      }
    else
      {
      op->SetUseDepthBuffer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_UseDepthBufferOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::UseDepthBufferOn();
      }
    else
      {
      op->UseDepthBufferOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_UseDepthBufferOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::UseDepthBufferOff();
      }
    else
      {
      op->UseDepthBufferOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_SetPlaceAllLabels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  bool   temp0;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::SetPlaceAllLabels(temp0);
      }
    else
      {
      op->SetPlaceAllLabels(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_GetPlaceAllLabels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  bool   temp20;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacementMapper::GetPlaceAllLabels();
      }
    else
      {
      temp20 = op->GetPlaceAllLabels();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_PlaceAllLabelsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::PlaceAllLabelsOn();
      }
    else
      {
      op->PlaceAllLabelsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_PlaceAllLabelsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::PlaceAllLabelsOff();
      }
    else
      {
      op->PlaceAllLabelsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_SetOutputTraversedBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  bool   temp0;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::SetOutputTraversedBounds(temp0);
      }
    else
      {
      op->SetOutputTraversedBounds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_GetOutputTraversedBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  bool   temp20;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacementMapper::GetOutputTraversedBounds();
      }
    else
      {
      temp20 = op->GetOutputTraversedBounds();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_OutputTraversedBoundsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::OutputTraversedBoundsOn();
      }
    else
      {
      op->OutputTraversedBoundsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_OutputTraversedBoundsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::OutputTraversedBoundsOff();
      }
    else
      {
      op->OutputTraversedBoundsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_SetShape(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  int      temp0;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::SetShape(temp0);
      }
    else
      {
      op->SetShape(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_GetShapeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  int      temp20;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacementMapper::GetShapeMinValue();
      }
    else
      {
      temp20 = op->GetShapeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_GetShapeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  int      temp20;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacementMapper::GetShapeMaxValue();
      }
    else
      {
      temp20 = op->GetShapeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_GetShape(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  int      temp20;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacementMapper::GetShape();
      }
    else
      {
      temp20 = op->GetShape();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_SetShapeToNone(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::SetShapeToNone();
      }
    else
      {
      op->SetShapeToNone();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_SetShapeToRect(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::SetShapeToRect();
      }
    else
      {
      op->SetShapeToRect();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_SetShapeToRoundedRect(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::SetShapeToRoundedRect();
      }
    else
      {
      op->SetShapeToRoundedRect();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_SetStyle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  int      temp0;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::SetStyle(temp0);
      }
    else
      {
      op->SetStyle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_GetStyleMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  int      temp20;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacementMapper::GetStyleMinValue();
      }
    else
      {
      temp20 = op->GetStyleMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_GetStyleMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  int      temp20;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacementMapper::GetStyleMaxValue();
      }
    else
      {
      temp20 = op->GetStyleMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_GetStyle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  int      temp20;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacementMapper::GetStyle();
      }
    else
      {
      temp20 = op->GetStyle();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_SetStyleToFilled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::SetStyleToFilled();
      }
    else
      {
      op->SetStyleToFilled();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_SetStyleToOutline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::SetStyleToOutline();
      }
    else
      {
      op->SetStyleToOutline();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_SetMargin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  double   temp0;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::SetMargin(temp0);
      }
    else
      {
      op->SetMargin(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_GetMargin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  double   temp20;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacementMapper::GetMargin();
      }
    else
      {
      temp20 = op->GetMargin();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_SetBackgroundColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::SetBackgroundColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetBackgroundColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::SetBackgroundColor(temp0);
      }
    else
      {
      op->SetBackgroundColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_GetBackgroundColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  double  *temp20;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacementMapper::GetBackgroundColor();
      }
    else
      {
      temp20 = op->GetBackgroundColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_SetBackgroundOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  double   temp0;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacementMapper::SetBackgroundOpacity(temp0);
      }
    else
      {
      op->SetBackgroundOpacity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_GetBackgroundOpacityMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  double   temp20;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacementMapper::GetBackgroundOpacityMinValue();
      }
    else
      {
      temp20 = op->GetBackgroundOpacityMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_GetBackgroundOpacityMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  double   temp20;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacementMapper::GetBackgroundOpacityMaxValue();
      }
    else
      {
      temp20 = op->GetBackgroundOpacityMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_GetBackgroundOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  double   temp20;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacementMapper::GetBackgroundOpacity();
      }
    else
      {
      temp20 = op->GetBackgroundOpacity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacementMapper_GetAnchorTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacementMapper *op;

  vtkCoordinate  *temp20;
  op = (vtkLabelPlacementMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacementMapper::GetAnchorTransform();
      }
    else
      {
      temp20 = op->GetAnchorTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkLabelPlacementMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLabelPlacementMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLabelPlacementMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLabelPlacementMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLabelPlacementMapper\nC++: vtkLabelPlacementMapper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLabelPlacementMapper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLabelPlacementMapper\nC++: vtkLabelPlacementMapper *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkLabelPlacementMapper_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport, vtkActor2D)\nC++: void RenderOverlay (vtkViewport *viewport, vtkActor2D *actor);\n\n Draw non-overlapping labels to the screen.\n"},
  {(char*)"SetRenderStrategy",                (PyCFunction)PyvtkLabelPlacementMapper_SetRenderStrategy, 1,
   (char*)"V.SetRenderStrategy(vtkLabelRenderStrategy)\nC++: virtual void SetRenderStrategy (vtkLabelRenderStrategy *s);\n\n Set the label rendering strategy.\n"},
  {(char*)"GetRenderStrategy",                (PyCFunction)PyvtkLabelPlacementMapper_GetRenderStrategy, 1,
   (char*)"V.GetRenderStrategy() -> vtkLabelRenderStrategy\nC++: vtkLabelRenderStrategy *GetRenderStrategy ();\n\n Set the label rendering strategy.\n"},
  {(char*)"SetMaximumLabelFraction",                (PyCFunction)PyvtkLabelPlacementMapper_SetMaximumLabelFraction, 1,
   (char*)"V.SetMaximumLabelFraction(float)\nC++: void SetMaximumLabelFraction (double );\n\n The maximum fraction of the screen that the labels may cover.\n Label placement stops when this fraction is reached.\n"},
  {(char*)"GetMaximumLabelFractionMinValue",                (PyCFunction)PyvtkLabelPlacementMapper_GetMaximumLabelFractionMinValue, 1,
   (char*)"V.GetMaximumLabelFractionMinValue() -> float\nC++: double GetMaximumLabelFractionMinValue ();\n\n The maximum fraction of the screen that the labels may cover.\n Label placement stops when this fraction is reached.\n"},
  {(char*)"GetMaximumLabelFractionMaxValue",                (PyCFunction)PyvtkLabelPlacementMapper_GetMaximumLabelFractionMaxValue, 1,
   (char*)"V.GetMaximumLabelFractionMaxValue() -> float\nC++: double GetMaximumLabelFractionMaxValue ();\n\n The maximum fraction of the screen that the labels may cover.\n Label placement stops when this fraction is reached.\n"},
  {(char*)"GetMaximumLabelFraction",                (PyCFunction)PyvtkLabelPlacementMapper_GetMaximumLabelFraction, 1,
   (char*)"V.GetMaximumLabelFraction() -> float\nC++: double GetMaximumLabelFraction ();\n\n The maximum fraction of the screen that the labels may cover.\n Label placement stops when this fraction is reached.\n"},
  {(char*)"SetIteratorType",                (PyCFunction)PyvtkLabelPlacementMapper_SetIteratorType, 1,
   (char*)"V.SetIteratorType(int)\nC++: void SetIteratorType (int );\n\n The type of iterator used when traversing the labels.\n May be vtkLabelHierarchy::FRUSTUM or vtkLabelHierarchy::FULL_SORT\n"},
  {(char*)"GetIteratorType",                (PyCFunction)PyvtkLabelPlacementMapper_GetIteratorType, 1,
   (char*)"V.GetIteratorType() -> int\nC++: int GetIteratorType ();\n\n The type of iterator used when traversing the labels.\n May be vtkLabelHierarchy::FRUSTUM or vtkLabelHierarchy::FULL_SORT\n"},
  {(char*)"SetUseUnicodeStrings",                (PyCFunction)PyvtkLabelPlacementMapper_SetUseUnicodeStrings, 1,
   (char*)"V.SetUseUnicodeStrings(bool)\nC++: void SetUseUnicodeStrings (bool );\n\n Set whether, or not, to use unicode strings.\n"},
  {(char*)"GetUseUnicodeStrings",                (PyCFunction)PyvtkLabelPlacementMapper_GetUseUnicodeStrings, 1,
   (char*)"V.GetUseUnicodeStrings() -> bool\nC++: bool GetUseUnicodeStrings ();\n\n Set whether, or not, to use unicode strings.\n"},
  {(char*)"UseUnicodeStringsOn",                (PyCFunction)PyvtkLabelPlacementMapper_UseUnicodeStringsOn, 1,
   (char*)"V.UseUnicodeStringsOn()\nC++: void UseUnicodeStringsOn ();\n\n Set whether, or not, to use unicode strings.\n"},
  {(char*)"UseUnicodeStringsOff",                (PyCFunction)PyvtkLabelPlacementMapper_UseUnicodeStringsOff, 1,
   (char*)"V.UseUnicodeStringsOff()\nC++: void UseUnicodeStringsOff ();\n\n Set whether, or not, to use unicode strings.\n"},
  {(char*)"GetPositionsAsNormals",                (PyCFunction)PyvtkLabelPlacementMapper_GetPositionsAsNormals, 1,
   (char*)"V.GetPositionsAsNormals() -> bool\nC++: bool GetPositionsAsNormals ();\n\n Use label anchor point coordinates as normal vectors and eliminate those\n pointing away from the camera. Valid only when points are on a sphere\n centered at the origin (such as a 3D geographic view). Off by default.\n"},
  {(char*)"SetPositionsAsNormals",                (PyCFunction)PyvtkLabelPlacementMapper_SetPositionsAsNormals, 1,
   (char*)"V.SetPositionsAsNormals(bool)\nC++: void SetPositionsAsNormals (bool );\n\n Use label anchor point coordinates as normal vectors and eliminate those\n pointing away from the camera. Valid only when points are on a sphere\n centered at the origin (such as a 3D geographic view). Off by default.\n"},
  {(char*)"PositionsAsNormalsOn",                (PyCFunction)PyvtkLabelPlacementMapper_PositionsAsNormalsOn, 1,
   (char*)"V.PositionsAsNormalsOn()\nC++: void PositionsAsNormalsOn ();\n\n Use label anchor point coordinates as normal vectors and eliminate those\n pointing away from the camera. Valid only when points are on a sphere\n centered at the origin (such as a 3D geographic view). Off by default.\n"},
  {(char*)"PositionsAsNormalsOff",                (PyCFunction)PyvtkLabelPlacementMapper_PositionsAsNormalsOff, 1,
   (char*)"V.PositionsAsNormalsOff()\nC++: void PositionsAsNormalsOff ();\n\n Use label anchor point coordinates as normal vectors and eliminate those\n pointing away from the camera. Valid only when points are on a sphere\n centered at the origin (such as a 3D geographic view). Off by default.\n"},
  {(char*)"GetGeneratePerturbedLabelSpokes",                (PyCFunction)PyvtkLabelPlacementMapper_GetGeneratePerturbedLabelSpokes, 1,
   (char*)"V.GetGeneratePerturbedLabelSpokes() -> bool\nC++: bool GetGeneratePerturbedLabelSpokes ();\n\n Enable drawing spokes (lines) to anchor point coordinates that were perturbed\n for being coincident with other anchor point coordinates.\n"},
  {(char*)"SetGeneratePerturbedLabelSpokes",                (PyCFunction)PyvtkLabelPlacementMapper_SetGeneratePerturbedLabelSpokes, 1,
   (char*)"V.SetGeneratePerturbedLabelSpokes(bool)\nC++: void SetGeneratePerturbedLabelSpokes (bool );\n\n Enable drawing spokes (lines) to anchor point coordinates that were perturbed\n for being coincident with other anchor point coordinates.\n"},
  {(char*)"GeneratePerturbedLabelSpokesOn",                (PyCFunction)PyvtkLabelPlacementMapper_GeneratePerturbedLabelSpokesOn, 1,
   (char*)"V.GeneratePerturbedLabelSpokesOn()\nC++: void GeneratePerturbedLabelSpokesOn ();\n\n Enable drawing spokes (lines) to anchor point coordinates that were perturbed\n for being coincident with other anchor point coordinates.\n"},
  {(char*)"GeneratePerturbedLabelSpokesOff",                (PyCFunction)PyvtkLabelPlacementMapper_GeneratePerturbedLabelSpokesOff, 1,
   (char*)"V.GeneratePerturbedLabelSpokesOff()\nC++: void GeneratePerturbedLabelSpokesOff ();\n\n Enable drawing spokes (lines) to anchor point coordinates that were perturbed\n for being coincident with other anchor point coordinates.\n"},
  {(char*)"GetUseDepthBuffer",                (PyCFunction)PyvtkLabelPlacementMapper_GetUseDepthBuffer, 1,
   (char*)"V.GetUseDepthBuffer() -> bool\nC++: bool GetUseDepthBuffer ();\n\n Use the depth buffer to test each label to see if it should not be displayed if\n it would be occluded by other objects in the scene. Off by default.\n"},
  {(char*)"SetUseDepthBuffer",                (PyCFunction)PyvtkLabelPlacementMapper_SetUseDepthBuffer, 1,
   (char*)"V.SetUseDepthBuffer(bool)\nC++: void SetUseDepthBuffer (bool );\n\n Use the depth buffer to test each label to see if it should not be displayed if\n it would be occluded by other objects in the scene. Off by default.\n"},
  {(char*)"UseDepthBufferOn",                (PyCFunction)PyvtkLabelPlacementMapper_UseDepthBufferOn, 1,
   (char*)"V.UseDepthBufferOn()\nC++: void UseDepthBufferOn ();\n\n Use the depth buffer to test each label to see if it should not be displayed if\n it would be occluded by other objects in the scene. Off by default.\n"},
  {(char*)"UseDepthBufferOff",                (PyCFunction)PyvtkLabelPlacementMapper_UseDepthBufferOff, 1,
   (char*)"V.UseDepthBufferOff()\nC++: void UseDepthBufferOff ();\n\n Use the depth buffer to test each label to see if it should not be displayed if\n it would be occluded by other objects in the scene. Off by default.\n"},
  {(char*)"SetPlaceAllLabels",                (PyCFunction)PyvtkLabelPlacementMapper_SetPlaceAllLabels, 1,
   (char*)"V.SetPlaceAllLabels(bool)\nC++: void SetPlaceAllLabels (bool );\n\n Tells the placer to place every label regardless of overlap.\n Off by default.\n"},
  {(char*)"GetPlaceAllLabels",                (PyCFunction)PyvtkLabelPlacementMapper_GetPlaceAllLabels, 1,
   (char*)"V.GetPlaceAllLabels() -> bool\nC++: bool GetPlaceAllLabels ();\n\n Tells the placer to place every label regardless of overlap.\n Off by default.\n"},
  {(char*)"PlaceAllLabelsOn",                (PyCFunction)PyvtkLabelPlacementMapper_PlaceAllLabelsOn, 1,
   (char*)"V.PlaceAllLabelsOn()\nC++: void PlaceAllLabelsOn ();\n\n Tells the placer to place every label regardless of overlap.\n Off by default.\n"},
  {(char*)"PlaceAllLabelsOff",                (PyCFunction)PyvtkLabelPlacementMapper_PlaceAllLabelsOff, 1,
   (char*)"V.PlaceAllLabelsOff()\nC++: void PlaceAllLabelsOff ();\n\n Tells the placer to place every label regardless of overlap.\n Off by default.\n"},
  {(char*)"SetOutputTraversedBounds",                (PyCFunction)PyvtkLabelPlacementMapper_SetOutputTraversedBounds, 1,
   (char*)"V.SetOutputTraversedBounds(bool)\nC++: void SetOutputTraversedBounds (bool );\n\n Whether to render traversed bounds. Off by default.\n"},
  {(char*)"GetOutputTraversedBounds",                (PyCFunction)PyvtkLabelPlacementMapper_GetOutputTraversedBounds, 1,
   (char*)"V.GetOutputTraversedBounds() -> bool\nC++: bool GetOutputTraversedBounds ();\n\n Whether to render traversed bounds. Off by default.\n"},
  {(char*)"OutputTraversedBoundsOn",                (PyCFunction)PyvtkLabelPlacementMapper_OutputTraversedBoundsOn, 1,
   (char*)"V.OutputTraversedBoundsOn()\nC++: void OutputTraversedBoundsOn ();\n\n Whether to render traversed bounds. Off by default.\n"},
  {(char*)"OutputTraversedBoundsOff",                (PyCFunction)PyvtkLabelPlacementMapper_OutputTraversedBoundsOff, 1,
   (char*)"V.OutputTraversedBoundsOff()\nC++: void OutputTraversedBoundsOff ();\n\n Whether to render traversed bounds. Off by default.\n"},
  {(char*)"SetShape",                (PyCFunction)PyvtkLabelPlacementMapper_SetShape, 1,
   (char*)"V.SetShape(int)\nC++: void SetShape (int );\n\n The shape of the label background, should be one of the\n values in the LabelShape enumeration.\n"},
  {(char*)"GetShapeMinValue",                (PyCFunction)PyvtkLabelPlacementMapper_GetShapeMinValue, 1,
   (char*)"V.GetShapeMinValue() -> int\nC++: int GetShapeMinValue ();\n\n The shape of the label background, should be one of the\n values in the LabelShape enumeration.\n"},
  {(char*)"GetShapeMaxValue",                (PyCFunction)PyvtkLabelPlacementMapper_GetShapeMaxValue, 1,
   (char*)"V.GetShapeMaxValue() -> int\nC++: int GetShapeMaxValue ();\n\n The shape of the label background, should be one of the\n values in the LabelShape enumeration.\n"},
  {(char*)"GetShape",                (PyCFunction)PyvtkLabelPlacementMapper_GetShape, 1,
   (char*)"V.GetShape() -> int\nC++: int GetShape ();\n\n The shape of the label background, should be one of the\n values in the LabelShape enumeration.\n"},
  {(char*)"SetShapeToNone",                (PyCFunction)PyvtkLabelPlacementMapper_SetShapeToNone, 1,
   (char*)"V.SetShapeToNone()\nC++: virtual void SetShapeToNone ();this SetShape NONE \n\n The shape of the label background, should be one of the\n values in the LabelShape enumeration.\n"},
  {(char*)"SetShapeToRect",                (PyCFunction)PyvtkLabelPlacementMapper_SetShapeToRect, 1,
   (char*)"V.SetShapeToRect()\nC++: virtual void SetShapeToRect ();this SetShape RECT \n\n The shape of the label background, should be one of the\n values in the LabelShape enumeration.\n"},
  {(char*)"SetShapeToRoundedRect",                (PyCFunction)PyvtkLabelPlacementMapper_SetShapeToRoundedRect, 1,
   (char*)"V.SetShapeToRoundedRect()\nC++: virtual void SetShapeToRoundedRect ();this SetShape ROUNDED_RECT \n\n The style of the label background shape, should be one of the\n values in the LabelStyle enumeration.\n"},
  {(char*)"SetStyle",                (PyCFunction)PyvtkLabelPlacementMapper_SetStyle, 1,
   (char*)"V.SetStyle(int)\nC++: void SetStyle (int );\n\n The style of the label background shape, should be one of the\n values in the LabelStyle enumeration.\n"},
  {(char*)"GetStyleMinValue",                (PyCFunction)PyvtkLabelPlacementMapper_GetStyleMinValue, 1,
   (char*)"V.GetStyleMinValue() -> int\nC++: int GetStyleMinValue ();\n\n The style of the label background shape, should be one of the\n values in the LabelStyle enumeration.\n"},
  {(char*)"GetStyleMaxValue",                (PyCFunction)PyvtkLabelPlacementMapper_GetStyleMaxValue, 1,
   (char*)"V.GetStyleMaxValue() -> int\nC++: int GetStyleMaxValue ();\n\n The style of the label background shape, should be one of the\n values in the LabelStyle enumeration.\n"},
  {(char*)"GetStyle",                (PyCFunction)PyvtkLabelPlacementMapper_GetStyle, 1,
   (char*)"V.GetStyle() -> int\nC++: int GetStyle ();\n\n The style of the label background shape, should be one of the\n values in the LabelStyle enumeration.\n"},
  {(char*)"SetStyleToFilled",                (PyCFunction)PyvtkLabelPlacementMapper_SetStyleToFilled, 1,
   (char*)"V.SetStyleToFilled()\nC++: virtual void SetStyleToFilled ();this SetStyle FILLED \n\n The style of the label background shape, should be one of the\n values in the LabelStyle enumeration.\n"},
  {(char*)"SetStyleToOutline",                (PyCFunction)PyvtkLabelPlacementMapper_SetStyleToOutline, 1,
   (char*)"V.SetStyleToOutline()\nC++: virtual void SetStyleToOutline ();this SetStyle OUTLINE \n\n The size of the margin on the label background shape.\n Default is 5.\n"},
  {(char*)"SetMargin",                (PyCFunction)PyvtkLabelPlacementMapper_SetMargin, 1,
   (char*)"V.SetMargin(float)\nC++: void SetMargin (double );\n\n The size of the margin on the label background shape.\n Default is 5.\n"},
  {(char*)"GetMargin",                (PyCFunction)PyvtkLabelPlacementMapper_GetMargin, 1,
   (char*)"V.GetMargin() -> float\nC++: double GetMargin ();\n\n The size of the margin on the label background shape.\n Default is 5.\n"},
  {(char*)"SetBackgroundColor",                (PyCFunction)PyvtkLabelPlacementMapper_SetBackgroundColor, 1,
   (char*)"V.SetBackgroundColor(float, float, float)\nC++: void SetBackgroundColor (double , double , double );\nV.SetBackgroundColor((float, float, float))\nC++: void SetBackgroundColor (double  a[3]);\n\n The color of the background shape.\n"},
  {(char*)"GetBackgroundColor",                (PyCFunction)PyvtkLabelPlacementMapper_GetBackgroundColor, 1,
   (char*)"V.GetBackgroundColor() -> (float, float, float)\nC++: double  *GetBackgroundColor ();\n\n The color of the background shape.\n"},
  {(char*)"SetBackgroundOpacity",                (PyCFunction)PyvtkLabelPlacementMapper_SetBackgroundOpacity, 1,
   (char*)"V.SetBackgroundOpacity(float)\nC++: void SetBackgroundOpacity (double );\n\n The opacity of the background shape.\n"},
  {(char*)"GetBackgroundOpacityMinValue",                (PyCFunction)PyvtkLabelPlacementMapper_GetBackgroundOpacityMinValue, 1,
   (char*)"V.GetBackgroundOpacityMinValue() -> float\nC++: double GetBackgroundOpacityMinValue ();\n\n The opacity of the background shape.\n"},
  {(char*)"GetBackgroundOpacityMaxValue",                (PyCFunction)PyvtkLabelPlacementMapper_GetBackgroundOpacityMaxValue, 1,
   (char*)"V.GetBackgroundOpacityMaxValue() -> float\nC++: double GetBackgroundOpacityMaxValue ();\n\n The opacity of the background shape.\n"},
  {(char*)"GetBackgroundOpacity",                (PyCFunction)PyvtkLabelPlacementMapper_GetBackgroundOpacity, 1,
   (char*)"V.GetBackgroundOpacity() -> float\nC++: double GetBackgroundOpacity ();\n\n The opacity of the background shape.\n"},
  {(char*)"GetAnchorTransform",                (PyCFunction)PyvtkLabelPlacementMapper_GetAnchorTransform, 1,
   (char*)"V.GetAnchorTransform() -> vtkCoordinate\nC++: vtkCoordinate *GetAnchorTransform ();\n\n Get the transform for the anchor points.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLabelPlacementMapperDoc[] = {
  (char*)"vtkLabelPlacementMapper - Places and renders non-overlapping labels.\n\n",
  "Super Class:\n\n vtkMapper2D\n\n",
  (char*)" To use this mapper, first send your data through vtkPointSetToLabelHierarchy,\n which takes a set of points, associates special arrays to the points (label,\n priority, etc.), and produces a prioritized spatial tree of labels.\n\n This mapper then takes that hierarchy (or hierarchies) as input, and every\n frame will decide which labels and/or icons to place in order of priority,\n and will render only",
  (char*)" those labels/icons. A label render strategy is used to\n render the labels, and can use e.g. FreeType or Qt for rendering.\n\n",
  NULL
};

static vtkObjectBase *vtkLabelPlacementMapperStaticNew()
{
  return vtkLabelPlacementMapper::New();
}

PyObject *PyVTKClass_vtkLabelPlacementMapperNew(char *modulename)
{
  return PyVTKClass_New(&vtkLabelPlacementMapperStaticNew,
                        PyvtkLabelPlacementMapperMethods,
                        (char*)"vtkLabelPlacementMapper",modulename,
                        (char**)vtkLabelPlacementMapperDoc,
                        PyVTKClass_vtkMapper2DNew(modulename));
}

