// python wrapper for vtkSurfaceLICPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSurfaceLICPainter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSurfaceLICPainterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSurfaceLICPainterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataPainterNew(char *); }

static PyObject *PyvtkSurfaceLICPainter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceLICPainter *op;

  const char    *temp20;
  op = (vtkSurfaceLICPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSurfaceLICPainter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceLICPainter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceLICPainter *op;

  char    *temp0;
  int      temp20;
  op = (vtkSurfaceLICPainter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSurfaceLICPainter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceLICPainter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceLICPainter *op;

  vtkSurfaceLICPainter  *temp20;
  op = (vtkSurfaceLICPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSurfaceLICPainter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceLICPainter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSurfaceLICPainter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSurfaceLICPainter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSurfaceLICPainter_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceLICPainter *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkSurfaceLICPainter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkSurfaceLICPainter::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkSurfaceLICPainter_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceLICPainter *op;

  vtkDataObject  *temp20;
  op = (vtkSurfaceLICPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSurfaceLICPainter::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceLICPainter_SetEnable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceLICPainter *op;

  int      temp0;
  op = (vtkSurfaceLICPainter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSurfaceLICPainter::SetEnable(temp0);
      }
    else
      {
      op->SetEnable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceLICPainter_GetEnable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceLICPainter *op;

  int      temp20;
  op = (vtkSurfaceLICPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSurfaceLICPainter::GetEnable();
      }
    else
      {
      temp20 = op->GetEnable();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceLICPainter_EnableOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceLICPainter *op;

  op = (vtkSurfaceLICPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSurfaceLICPainter::EnableOn();
      }
    else
      {
      op->EnableOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceLICPainter_EnableOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceLICPainter *op;

  op = (vtkSurfaceLICPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSurfaceLICPainter::EnableOff();
      }
    else
      {
      op->EnableOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceLICPainter_SetInputArrayToProcess(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceLICPainter *op;

  int      temp0;
  char    *temp1;
  op = (vtkSurfaceLICPainter *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSurfaceLICPainter::SetInputArrayToProcess(temp0,temp1);
      }
    else
      {
      op->SetInputArrayToProcess(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSurfaceLICPainter *op;

  int      temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkSurfaceLICPainter *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSurfaceLICPainter::SetInputArrayToProcess(temp0,temp1);
      }
    else
      {
      op->SetInputArrayToProcess(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceLICPainter_SetEnhancedLIC(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceLICPainter *op;

  int      temp0;
  op = (vtkSurfaceLICPainter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSurfaceLICPainter::SetEnhancedLIC(temp0);
      }
    else
      {
      op->SetEnhancedLIC(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceLICPainter_GetEnhancedLIC(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceLICPainter *op;

  int      temp20;
  op = (vtkSurfaceLICPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSurfaceLICPainter::GetEnhancedLIC();
      }
    else
      {
      temp20 = op->GetEnhancedLIC();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceLICPainter_EnhancedLICOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceLICPainter *op;

  op = (vtkSurfaceLICPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSurfaceLICPainter::EnhancedLICOn();
      }
    else
      {
      op->EnhancedLICOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceLICPainter_EnhancedLICOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceLICPainter *op;

  op = (vtkSurfaceLICPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSurfaceLICPainter::EnhancedLICOff();
      }
    else
      {
      op->EnhancedLICOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceLICPainter_SetNumberOfSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceLICPainter *op;

  int      temp0;
  op = (vtkSurfaceLICPainter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSurfaceLICPainter::SetNumberOfSteps(temp0);
      }
    else
      {
      op->SetNumberOfSteps(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceLICPainter_GetNumberOfSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceLICPainter *op;

  int      temp20;
  op = (vtkSurfaceLICPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSurfaceLICPainter::GetNumberOfSteps();
      }
    else
      {
      temp20 = op->GetNumberOfSteps();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceLICPainter_SetStepSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceLICPainter *op;

  double   temp0;
  op = (vtkSurfaceLICPainter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSurfaceLICPainter::SetStepSize(temp0);
      }
    else
      {
      op->SetStepSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceLICPainter_GetStepSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceLICPainter *op;

  double   temp20;
  op = (vtkSurfaceLICPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSurfaceLICPainter::GetStepSize();
      }
    else
      {
      temp20 = op->GetStepSize();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceLICPainter_SetLICIntensity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceLICPainter *op;

  double   temp0;
  op = (vtkSurfaceLICPainter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSurfaceLICPainter::SetLICIntensity(temp0);
      }
    else
      {
      op->SetLICIntensity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceLICPainter_GetLICIntensityMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceLICPainter *op;

  double   temp20;
  op = (vtkSurfaceLICPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSurfaceLICPainter::GetLICIntensityMinValue();
      }
    else
      {
      temp20 = op->GetLICIntensityMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceLICPainter_GetLICIntensityMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceLICPainter *op;

  double   temp20;
  op = (vtkSurfaceLICPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSurfaceLICPainter::GetLICIntensityMaxValue();
      }
    else
      {
      temp20 = op->GetLICIntensityMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceLICPainter_GetLICIntensity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceLICPainter *op;

  double   temp20;
  op = (vtkSurfaceLICPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSurfaceLICPainter::GetLICIntensity();
      }
    else
      {
      temp20 = op->GetLICIntensity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceLICPainter_GetRenderingPreparationSuccess(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceLICPainter *op;

  int      temp20;
  op = (vtkSurfaceLICPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSurfaceLICPainter::GetRenderingPreparationSuccess();
      }
    else
      {
      temp20 = op->GetRenderingPreparationSuccess();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceLICPainter_GetLICSuccess(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceLICPainter *op;

  int      temp20;
  op = (vtkSurfaceLICPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSurfaceLICPainter::GetLICSuccess();
      }
    else
      {
      temp20 = op->GetLICSuccess();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceLICPainter_IsSupported(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow  *temp0;
  PyObject *tempH0;
  bool   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkRenderWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindow");
    if (!temp0 && tempH0 != Py_None) goto break26;
      {
      temp20 = vtkSurfaceLICPainter::IsSupported(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break26:
  return NULL;
}

static PyMethodDef PyvtkSurfaceLICPainterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSurfaceLICPainter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSurfaceLICPainter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSurfaceLICPainter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSurfaceLICPainter\nC++: vtkSurfaceLICPainter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSurfaceLICPainter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSurfaceLICPainter\nC++: vtkSurfaceLICPainter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkSurfaceLICPainter_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this mapper.\n The parameter window could be used to determine which graphic\n resources to release. In this case, releases the display lists.\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkSurfaceLICPainter_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkDataObject\nC++: virtual vtkDataObject *GetOutput ();\n\n Get the output data object from this painter. \n Overridden to pass the input points (or cells) vectors as the tcoords to\n the deletage painters. This is required by the internal GLSL shader\n programs used for generating LIC.\n"},
  {(char*)"SetEnable",                (PyCFunction)PyvtkSurfaceLICPainter_SetEnable, 1,
   (char*)"V.SetEnable(int)\nC++: void SetEnable (int );\n\n Enable/Disable this painter.\n"},
  {(char*)"GetEnable",                (PyCFunction)PyvtkSurfaceLICPainter_GetEnable, 1,
   (char*)"V.GetEnable() -> int\nC++: int GetEnable ();\n\n Enable/Disable this painter.\n"},
  {(char*)"EnableOn",                (PyCFunction)PyvtkSurfaceLICPainter_EnableOn, 1,
   (char*)"V.EnableOn()\nC++: void EnableOn ();\n\n Enable/Disable this painter.\n"},
  {(char*)"EnableOff",                (PyCFunction)PyvtkSurfaceLICPainter_EnableOff, 1,
   (char*)"V.EnableOff()\nC++: void EnableOff ();\n\n Enable/Disable this painter.\n"},
  {(char*)"SetInputArrayToProcess",                (PyCFunction)PyvtkSurfaceLICPainter_SetInputArrayToProcess, 1,
   (char*)"V.SetInputArrayToProcess(int, string)\nC++: void SetInputArrayToProcess (int fieldAssociation, const char *name);\nV.SetInputArrayToProcess(int, int)\nC++: void SetInputArrayToProcess (int fieldAssociation, int fieldAttributeType);\n\n Set the vectors to used for applying LIC. By default point vectors are\n used. Arguments are same as those passed to\n vtkAlgorithm::SetInputArrayToProcess except the first 3 arguments i.e. idx,\n port, connection.\n"},
  {(char*)"SetEnhancedLIC",                (PyCFunction)PyvtkSurfaceLICPainter_SetEnhancedLIC, 1,
   (char*)"V.SetEnhancedLIC(int)\nC++: void SetEnhancedLIC (int );\n\n Enable/Disable enhanced LIC that improves image quality by increasing\n inter-streamline contrast while suppressing artifacts. Enhanced LIC\n performs two passes of LIC, with a 3x3 Laplacian high-pass filter in\n between that processes the output of pass #1 LIC and forwards the result\n as the input 'noise' to pass #2 LIC. This flag is automatically turned\n off during user interaction.\n"},
  {(char*)"GetEnhancedLIC",                (PyCFunction)PyvtkSurfaceLICPainter_GetEnhancedLIC, 1,
   (char*)"V.GetEnhancedLIC() -> int\nC++: int GetEnhancedLIC ();\n\n Enable/Disable enhanced LIC that improves image quality by increasing\n inter-streamline contrast while suppressing artifacts. Enhanced LIC\n performs two passes of LIC, with a 3x3 Laplacian high-pass filter in\n between that processes the output of pass #1 LIC and forwards the result\n as the input 'noise' to pass #2 LIC. This flag is automatically turned\n off during user interaction.\n"},
  {(char*)"EnhancedLICOn",                (PyCFunction)PyvtkSurfaceLICPainter_EnhancedLICOn, 1,
   (char*)"V.EnhancedLICOn()\nC++: void EnhancedLICOn ();\n\n Enable/Disable enhanced LIC that improves image quality by increasing\n inter-streamline contrast while suppressing artifacts. Enhanced LIC\n performs two passes of LIC, with a 3x3 Laplacian high-pass filter in\n between that processes the output of pass #1 LIC and forwards the result\n as the input 'noise' to pass #2 LIC. This flag is automatically turned\n off during user interaction.\n"},
  {(char*)"EnhancedLICOff",                (PyCFunction)PyvtkSurfaceLICPainter_EnhancedLICOff, 1,
   (char*)"V.EnhancedLICOff()\nC++: void EnhancedLICOff ();\n\n Enable/Disable enhanced LIC that improves image quality by increasing\n inter-streamline contrast while suppressing artifacts. Enhanced LIC\n performs two passes of LIC, with a 3x3 Laplacian high-pass filter in\n between that processes the output of pass #1 LIC and forwards the result\n as the input 'noise' to pass #2 LIC. This flag is automatically turned\n off during user interaction.\n"},
  {(char*)"SetNumberOfSteps",                (PyCFunction)PyvtkSurfaceLICPainter_SetNumberOfSteps, 1,
   (char*)"V.SetNumberOfSteps(int)\nC++: void SetNumberOfSteps (int );\n\n Get/Set the number of integration steps in each direction.\n"},
  {(char*)"GetNumberOfSteps",                (PyCFunction)PyvtkSurfaceLICPainter_GetNumberOfSteps, 1,
   (char*)"V.GetNumberOfSteps() -> int\nC++: int GetNumberOfSteps ();\n\n Get/Set the number of integration steps in each direction.\n"},
  {(char*)"SetStepSize",                (PyCFunction)PyvtkSurfaceLICPainter_SetStepSize, 1,
   (char*)"V.SetStepSize(float)\nC++: void SetStepSize (double );\n\n Get/Set the step size (in pixels).\n"},
  {(char*)"GetStepSize",                (PyCFunction)PyvtkSurfaceLICPainter_GetStepSize, 1,
   (char*)"V.GetStepSize() -> float\nC++: double GetStepSize ();\n\n Get/Set the step size (in pixels).\n"},
  {(char*)"SetLICIntensity",                (PyCFunction)PyvtkSurfaceLICPainter_SetLICIntensity, 1,
   (char*)"V.SetLICIntensity(float)\nC++: void SetLICIntensity (double );\n\n Control the contribution of the LIC in the final output image.\n 0.0 produces same result as disabling LIC alltogether, while 1.0 implies\n show LIC result alone.\n"},
  {(char*)"GetLICIntensityMinValue",                (PyCFunction)PyvtkSurfaceLICPainter_GetLICIntensityMinValue, 1,
   (char*)"V.GetLICIntensityMinValue() -> float\nC++: double GetLICIntensityMinValue ();\n\n Control the contribution of the LIC in the final output image.\n 0.0 produces same result as disabling LIC alltogether, while 1.0 implies\n show LIC result alone.\n"},
  {(char*)"GetLICIntensityMaxValue",                (PyCFunction)PyvtkSurfaceLICPainter_GetLICIntensityMaxValue, 1,
   (char*)"V.GetLICIntensityMaxValue() -> float\nC++: double GetLICIntensityMaxValue ();\n\n Control the contribution of the LIC in the final output image.\n 0.0 produces same result as disabling LIC alltogether, while 1.0 implies\n show LIC result alone.\n"},
  {(char*)"GetLICIntensity",                (PyCFunction)PyvtkSurfaceLICPainter_GetLICIntensity, 1,
   (char*)"V.GetLICIntensity() -> float\nC++: double GetLICIntensity ();\n\n Control the contribution of the LIC in the final output image.\n 0.0 produces same result as disabling LIC alltogether, while 1.0 implies\n show LIC result alone.\n"},
  {(char*)"GetRenderingPreparationSuccess",                (PyCFunction)PyvtkSurfaceLICPainter_GetRenderingPreparationSuccess, 1,
   (char*)"V.GetRenderingPreparationSuccess() -> int\nC++: int GetRenderingPreparationSuccess ();return this RenderingPreparationSuccess \n\n Check if the LIC process runs properly.\n"},
  {(char*)"GetLICSuccess",                (PyCFunction)PyvtkSurfaceLICPainter_GetLICSuccess, 1,
   (char*)"V.GetLICSuccess() -> int\nC++: int GetLICSuccess ();return this LICSuccess \n\n Returns true is the rendering context supports extensions needed by this\n painter.\n"},
  {(char*)"IsSupported",                (PyCFunction)PyvtkSurfaceLICPainter_IsSupported, 1,
   (char*)"V.IsSupported(vtkRenderWindow) -> bool\nC++: static bool IsSupported (vtkRenderWindow *);\n\n Returns true is the rendering context supports extensions needed by this\n painter.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSurfaceLICPainterDoc[] = {
  (char*)"vtkSurfaceLICPainter - painter that performs LIC on the surface of\n\n",
  "Super Class:\n\n vtkPolyDataPainter\n\n",
  (char*)"  vtkSurfaceLICPainter painter performs LIC on the surface of arbitrary\n  geometry. Point vectors are used as the vector field for generating the LIC.\n  The implementation is based on \"Image Space Based Visualization on Unstread\n  Flow on Surfaces\" by Laramee, Jobard and Hauser appered in proceedings of \n  IEEE Visualization '03, pages 131-138.\n  \n\n",
  "See Also:\n\n vtkPolyDataPainter\n\n",
  NULL
};

static vtkObjectBase *vtkSurfaceLICPainterStaticNew()
{
  return vtkSurfaceLICPainter::New();
}

PyObject *PyVTKClass_vtkSurfaceLICPainterNew(char *modulename)
{
  return PyVTKClass_New(&vtkSurfaceLICPainterStaticNew,
                        PyvtkSurfaceLICPainterMethods,
                        (char*)"vtkSurfaceLICPainter",modulename,
                        (char**)vtkSurfaceLICPainterDoc,
                        PyVTKClass_vtkPolyDataPainterNew(modulename));
}

