// java wrapper for vtkContextView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkContextView.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkRenderView_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkContextView_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkContextView",dType)) { return me; }
  if ((res= vtkRenderView_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkContextView_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkContextView *op;
  const char    *temp20;

  op = (vtkContextView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextView_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkContextView *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkContextView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextView_SetContext_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextView *op;
  vtkContext2D  *temp0;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetContext(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkContextView_GetContext_13(JNIEnv *env, jobject obj)
{
  vtkContextView *op;
  vtkContext2D  *temp20;

  op = (vtkContextView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetContext();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextView_SetInteractionMode_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkContextView *op;
  int      temp0;
  temp0 = id0;

  op = (vtkContextView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteractionMode(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkContextView_GetScene_15(JNIEnv *env, jobject obj)
{
  vtkContextView *op;
  vtkContextScene  *temp20;

  op = (vtkContextView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScene();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextView_SetScene_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextView *op;
  vtkContextScene  *temp0;
  temp0 = (vtkContextScene *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScene(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextView_Render_17(JNIEnv *env, jobject obj)
{
  vtkContextView *op;

  op = (vtkContextView *)vtkJavaGetPointerFromObject(env,obj);
  op->Render();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkContextView_VTKInit(JNIEnv *, jobject)
{
  vtkContextView *aNewOne = vtkContextView::New();
  return (jlong)(size_t)(void*)aNewOne;
}
