// python wrapper for vtkBoxMuellerRandomSequence object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBoxMuellerRandomSequence.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBoxMuellerRandomSequenceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBoxMuellerRandomSequenceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGaussianRandomSequenceNew(char *); }

static PyObject *PyvtkBoxMuellerRandomSequence_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxMuellerRandomSequence *op;

  const char    *temp20;
  op = (vtkBoxMuellerRandomSequence *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxMuellerRandomSequence::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxMuellerRandomSequence_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxMuellerRandomSequence *op;

  char    *temp0;
  int      temp20;
  op = (vtkBoxMuellerRandomSequence *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxMuellerRandomSequence::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxMuellerRandomSequence_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxMuellerRandomSequence *op;

  vtkBoxMuellerRandomSequence  *temp20;
  op = (vtkBoxMuellerRandomSequence *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxMuellerRandomSequence::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxMuellerRandomSequence_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBoxMuellerRandomSequence  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBoxMuellerRandomSequence::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBoxMuellerRandomSequence_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxMuellerRandomSequence *op;

  double   temp20;
  op = (vtkBoxMuellerRandomSequence *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxMuellerRandomSequence::GetValue();
      }
    else
      {
      temp20 = op->GetValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxMuellerRandomSequence_Next(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxMuellerRandomSequence *op;

  op = (vtkBoxMuellerRandomSequence *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxMuellerRandomSequence::Next();
      }
    else
      {
      op->Next();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxMuellerRandomSequence_GetUniformSequence(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxMuellerRandomSequence *op;

  vtkRandomSequence  *temp20;
  op = (vtkBoxMuellerRandomSequence *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxMuellerRandomSequence::GetUniformSequence();
      }
    else
      {
      temp20 = op->GetUniformSequence();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxMuellerRandomSequence_SetUniformSequence(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxMuellerRandomSequence *op;

  vtkRandomSequence  *temp0;
  PyObject *tempH0;
  op = (vtkBoxMuellerRandomSequence *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRandomSequence *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRandomSequence");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxMuellerRandomSequence::SetUniformSequence(temp0);
      }
    else
      {
      op->SetUniformSequence(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}

static PyMethodDef PyvtkBoxMuellerRandomSequenceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBoxMuellerRandomSequence_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBoxMuellerRandomSequence_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBoxMuellerRandomSequence_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBoxMuellerRandomSequence\nC++: vtkBoxMuellerRandomSequence *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBoxMuellerRandomSequence_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBoxMuellerRandomSequence\nC++: vtkBoxMuellerRandomSequence *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkBoxMuellerRandomSequence_GetValue, 1,
   (char*)"V.GetValue() -> float\nC++: virtual double GetValue ();\n\n Current value.\n"},
  {(char*)"Next",                (PyCFunction)PyvtkBoxMuellerRandomSequence_Next, 1,
   (char*)"V.Next()\nC++: virtual void Next ();\n\n Move to the next number in the random sequence.\n"},
  {(char*)"GetUniformSequence",                (PyCFunction)PyvtkBoxMuellerRandomSequence_GetUniformSequence, 1,
   (char*)"V.GetUniformSequence() -> vtkRandomSequence\nC++: vtkRandomSequence *GetUniformSequence ();\n\n Return the uniformly distributed sequence of random numbers.\n"},
  {(char*)"SetUniformSequence",                (PyCFunction)PyvtkBoxMuellerRandomSequence_SetUniformSequence, 1,
   (char*)"V.SetUniformSequence(vtkRandomSequence)\nC++: void SetUniformSequence (vtkRandomSequence *uniformSequence);\n\n Set the uniformly distributed sequence of random numbers.\n Default is a .\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBoxMuellerRandomSequenceDoc[] = {
  (char*)"vtkBoxMuellerRandomSequence - Gaussian sequence of pseudo random numbers implemented with the Box-Mueller transform\n\n",
  "Super Class:\n\n vtkGaussianRandomSequence\n\n",
  (char*)" vtkGaussianRandomSequence is a sequence of pseudo random numbers\n distributed according to the Gaussian/normal distribution (mean=0 and\n standard deviation=1).\n\n It based is calculation from a uniformly distributed pseudo random sequence.\n The initial sequence is a vtkMinimalStandardRandomSequence.\n\n",
  NULL
};

static vtkObjectBase *vtkBoxMuellerRandomSequenceStaticNew()
{
  return vtkBoxMuellerRandomSequence::New();
}

PyObject *PyVTKClass_vtkBoxMuellerRandomSequenceNew(char *modulename)
{
  return PyVTKClass_New(&vtkBoxMuellerRandomSequenceStaticNew,
                        PyvtkBoxMuellerRandomSequenceMethods,
                        (char*)"vtkBoxMuellerRandomSequence",modulename,
                        (char**)vtkBoxMuellerRandomSequenceDoc,
                        PyVTKClass_vtkGaussianRandomSequenceNew(modulename));
}

