// python wrapper for vtkSimple3DCirclesStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSimple3DCirclesStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSimple3DCirclesStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSimple3DCirclesStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphLayoutStrategyNew(char *); }

static PyObject *PyvtkSimple3DCirclesStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  const char    *temp20;
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple3DCirclesStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple3DCirclesStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  vtkSimple3DCirclesStrategy  *temp20;
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple3DCirclesStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSimple3DCirclesStrategy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSimple3DCirclesStrategy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_SetMethod(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  int      temp0;
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimple3DCirclesStrategy::SetMethod(temp0);
      }
    else
      {
      op->SetMethod(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_GetMethod(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  int      temp20;
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple3DCirclesStrategy::GetMethod();
      }
    else
      {
      temp20 = op->GetMethod();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_SetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  double   temp0;
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimple3DCirclesStrategy::SetRadius(temp0);
      }
    else
      {
      op->SetRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_GetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  double   temp20;
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple3DCirclesStrategy::GetRadius();
      }
    else
      {
      temp20 = op->GetRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_SetHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  double   temp0;
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimple3DCirclesStrategy::SetHeight(temp0);
      }
    else
      {
      op->SetHeight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_GetHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  double   temp20;
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple3DCirclesStrategy::GetHeight();
      }
    else
      {
      temp20 = op->GetHeight();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_SetOrign(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimple3DCirclesStrategy::SetOrign(temp0,temp1,temp2);
      }
    else
      {
      op->SetOrign(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimple3DCirclesStrategy::SetOrign(temp0);
      }
    else
      {
      op->SetOrign(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_GetOrign(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  double  *temp20;
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple3DCirclesStrategy::GetOrign();
      }
    else
      {
      temp20 = op->GetOrign();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_SetDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimple3DCirclesStrategy::SetDirection(temp0,temp1,temp2);
      }
    else
      {
      op->SetDirection(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimple3DCirclesStrategy::SetDirection(temp0);
      }
    else
      {
      op->SetDirection(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_GetDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  double  *temp20;
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple3DCirclesStrategy::GetDirection();
      }
    else
      {
      temp20 = op->GetDirection();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_SetMarkedStartVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  vtkIntArray  *temp0;
  PyObject *tempH0;
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkIntArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIntArray");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkSimple3DCirclesStrategy::SetMarkedStartVertices(temp0);
      }
    else
      {
      op->SetMarkedStartVertices(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_GetMarkedStartVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  vtkIntArray  *temp20;
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple3DCirclesStrategy::GetMarkedStartVertices();
      }
    else
      {
      temp20 = op->GetMarkedStartVertices();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_SetMarkedValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  int      temp0;
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimple3DCirclesStrategy::SetMarkedValue(temp0);
      }
    else
      {
      op->SetMarkedValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_GetMarkedValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  int      temp20;
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple3DCirclesStrategy::GetMarkedValue();
      }
    else
      {
      temp20 = op->GetMarkedValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_SetForceToUseUniversalStartPointsFinder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  int      temp0;
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimple3DCirclesStrategy::SetForceToUseUniversalStartPointsFinder(temp0);
      }
    else
      {
      op->SetForceToUseUniversalStartPointsFinder(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_GetForceToUseUniversalStartPointsFinder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  int      temp20;
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple3DCirclesStrategy::GetForceToUseUniversalStartPointsFinder();
      }
    else
      {
      temp20 = op->GetForceToUseUniversalStartPointsFinder();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_ForceToUseUniversalStartPointsFinderOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimple3DCirclesStrategy::ForceToUseUniversalStartPointsFinderOn();
      }
    else
      {
      op->ForceToUseUniversalStartPointsFinderOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_ForceToUseUniversalStartPointsFinderOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimple3DCirclesStrategy::ForceToUseUniversalStartPointsFinderOff();
      }
    else
      {
      op->ForceToUseUniversalStartPointsFinderOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_SetAutoHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  int      temp0;
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimple3DCirclesStrategy::SetAutoHeight(temp0);
      }
    else
      {
      op->SetAutoHeight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_GetAutoHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  int      temp20;
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple3DCirclesStrategy::GetAutoHeight();
      }
    else
      {
      temp20 = op->GetAutoHeight();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_AutoHeightOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimple3DCirclesStrategy::AutoHeightOn();
      }
    else
      {
      op->AutoHeightOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_AutoHeightOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimple3DCirclesStrategy::AutoHeightOff();
      }
    else
      {
      op->AutoHeightOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_SetMinimumRadian(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  double   temp0;
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimple3DCirclesStrategy::SetMinimumRadian(temp0);
      }
    else
      {
      op->SetMinimumRadian(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_GetMinimumRadian(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  double   temp20;
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple3DCirclesStrategy::GetMinimumRadian();
      }
    else
      {
      temp20 = op->GetMinimumRadian();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_SetMinimumDegree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  double   temp0;
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimple3DCirclesStrategy::SetMinimumDegree(temp0);
      }
    else
      {
      op->SetMinimumDegree(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_GetMinimumDegree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  double   temp20;
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple3DCirclesStrategy::GetMinimumDegree();
      }
    else
      {
      temp20 = op->GetMinimumDegree();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_SetHierarchicalLayers(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  vtkIntArray  *temp0;
  PyObject *tempH0;
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkIntArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIntArray");
    if (!temp0 && tempH0 != Py_None) goto break32;
    if (PyVTKClass_Check(self))
      {
      op->vtkSimple3DCirclesStrategy::SetHierarchicalLayers(temp0);
      }
    else
      {
      op->SetHierarchicalLayers(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break32:
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_GetHierarchicalLayers(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  vtkIntArray  *temp20;
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple3DCirclesStrategy::GetHierarchicalLayers();
      }
    else
      {
      temp20 = op->GetHierarchicalLayers();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_SetHierarchicalOrder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  vtkIdTypeArray  *temp0;
  PyObject *tempH0;
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdTypeArray");
    if (!temp0 && tempH0 != Py_None) goto break34;
    if (PyVTKClass_Check(self))
      {
      op->vtkSimple3DCirclesStrategy::SetHierarchicalOrder(temp0);
      }
    else
      {
      op->SetHierarchicalOrder(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break34:
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_GetHierarchicalOrder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  vtkIdTypeArray  *temp20;
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimple3DCirclesStrategy::GetHierarchicalOrder();
      }
    else
      {
      temp20 = op->GetHierarchicalOrder();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_Layout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimple3DCirclesStrategy::Layout();
      }
    else
      {
      op->Layout();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimple3DCirclesStrategy_SetGraph(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimple3DCirclesStrategy *op;

  vtkGraph  *temp0;
  PyObject *tempH0;
  op = (vtkSimple3DCirclesStrategy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGraph *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGraph");
    if (!temp0 && tempH0 != Py_None) goto break37;
    if (PyVTKClass_Check(self))
      {
      op->vtkSimple3DCirclesStrategy::SetGraph(temp0);
      }
    else
      {
      op->SetGraph(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break37:
  return NULL;
}

static PyMethodDef PyvtkSimple3DCirclesStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSimple3DCirclesStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSimple3DCirclesStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSimple3DCirclesStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSimple3DCirclesStrategy\nC++: vtkSimple3DCirclesStrategy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSimple3DCirclesStrategy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSimple3DCirclesStrategy\nC++: vtkSimple3DCirclesStrategy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetMethod",                (PyCFunction)PyvtkSimple3DCirclesStrategy_SetMethod, 1,
   (char*)"V.SetMethod(int)\nC++: void SetMethod (int );\n\n Set or get cicrle generating method (FixedRadiusMethod/FixedDistanceMethod). Default is FixedRadiusMethod.\n"},
  {(char*)"GetMethod",                (PyCFunction)PyvtkSimple3DCirclesStrategy_GetMethod, 1,
   (char*)"V.GetMethod() -> int\nC++: int GetMethod ();\n\n Set or get cicrle generating method (FixedRadiusMethod/FixedDistanceMethod). Default is FixedRadiusMethod.\n"},
  {(char*)"SetRadius",                (PyCFunction)PyvtkSimple3DCirclesStrategy_SetRadius, 1,
   (char*)"V.SetRadius(float)\nC++: void SetRadius (double );\n\n If Method is FixedRadiusMethod: Set or get the radius of the circles.\n If Method is FixedDistanceMethod: Set or get the distance of the points in the circle.\n"},
  {(char*)"GetRadius",                (PyCFunction)PyvtkSimple3DCirclesStrategy_GetRadius, 1,
   (char*)"V.GetRadius() -> float\nC++: double GetRadius ();\n\n If Method is FixedRadiusMethod: Set or get the radius of the circles.\n If Method is FixedDistanceMethod: Set or get the distance of the points in the circle.\n"},
  {(char*)"SetHeight",                (PyCFunction)PyvtkSimple3DCirclesStrategy_SetHeight, 1,
   (char*)"V.SetHeight(float)\nC++: void SetHeight (double );\n\n Set or get the vertical (local z) distance between the circles. If AutoHeight is on, this is the minimal height between\n the circle layers\n"},
  {(char*)"GetHeight",                (PyCFunction)PyvtkSimple3DCirclesStrategy_GetHeight, 1,
   (char*)"V.GetHeight() -> float\nC++: double GetHeight ();\n\n Set or get the vertical (local z) distance between the circles. If AutoHeight is on, this is the minimal height between\n the circle layers\n"},
  {(char*)"SetOrign",                (PyCFunction)PyvtkSimple3DCirclesStrategy_SetOrign, 1,
   (char*)"V.SetOrign(float, float, float)\nC++: void SetOrign (double , double , double );\nV.SetOrign((float, float, float))\nC++: void SetOrign (double  a[3]);\n\n Set or get the orign of the geometry. This is the center of the first circle. SetOrign(x,y,z)\n"},
  {(char*)"GetOrign",                (PyCFunction)PyvtkSimple3DCirclesStrategy_GetOrign, 1,
   (char*)"V.GetOrign() -> (float, float, float)\nC++: double  *GetOrign ();\n\n Set or get the orign of the geometry. This is the center of the first circle. SetOrign(x,y,z)\n"},
  {(char*)"SetDirection",                (PyCFunction)PyvtkSimple3DCirclesStrategy_SetDirection, 1,
   (char*)"V.SetDirection(float, float, float)\nC++: virtual void SetDirection (double dx, double dy, double dz);\nV.SetDirection((float, float, float))\nC++: virtual void SetDirection (double d[3]);\n\n Set or get the normal vector of the circles plain. The height is growing in this direction. The direction must not be zero vector.\n The default vector is (0.0,0.0,1.0)\n"},
  {(char*)"GetDirection",                (PyCFunction)PyvtkSimple3DCirclesStrategy_GetDirection, 1,
   (char*)"V.GetDirection() -> (float, float, float)\nC++: double  *GetDirection ();\n\n Set or get the normal vector of the circles plain. The height is growing in this direction. The direction must not be zero vector.\n The default vector is (0.0,0.0,1.0)\n"},
  {(char*)"SetMarkedStartVertices",                (PyCFunction)PyvtkSimple3DCirclesStrategy_SetMarkedStartVertices, 1,
   (char*)"V.SetMarkedStartVertices(vtkIntArray)\nC++: virtual void SetMarkedStartVertices (vtkIntArray *_arg);\n\n Set or get initial vertices. If MarkedStartVertices is added, loop is accepted in the graph. (If all of the loop start vertices are\n marked in MarkedStartVertices array.) MarkedStartVertices size must be equal with the number of the vertices in the graph. Start\n vertices must be marked by MarkedValue. (E.g.: if MarkedValue=3 and MarkedStartPoints is { 0, 3, 5, 3 }, the start points ids will\n be {1,3}.) )\n"},
  {(char*)"GetMarkedStartVertices",                (PyCFunction)PyvtkSimple3DCirclesStrategy_GetMarkedStartVertices, 1,
   (char*)"V.GetMarkedStartVertices() -> vtkIntArray\nC++: vtkIntArray *GetMarkedStartVertices ();\n\n Set or get initial vertices. If MarkedStartVertices is added, loop is accepted in the graph. (If all of the loop start vertices are\n marked in MarkedStartVertices array.) MarkedStartVertices size must be equal with the number of the vertices in the graph. Start\n vertices must be marked by MarkedValue. (E.g.: if MarkedValue=3 and MarkedStartPoints is { 0, 3, 5, 3 }, the start points ids will\n be {1,3}.) )\n"},
  {(char*)"SetMarkedValue",                (PyCFunction)PyvtkSimple3DCirclesStrategy_SetMarkedValue, 1,
   (char*)"V.SetMarkedValue(int)\nC++: void SetMarkedValue (int );\n\n Set or get MarkedValue. See: MarkedStartVertices.\n"},
  {(char*)"GetMarkedValue",                (PyCFunction)PyvtkSimple3DCirclesStrategy_GetMarkedValue, 1,
   (char*)"V.GetMarkedValue() -> int\nC++: int GetMarkedValue ();\n\n Set or get MarkedValue. See: MarkedStartVertices.\n"},
  {(char*)"SetForceToUseUniversalStartPointsFinder",                (PyCFunction)PyvtkSimple3DCirclesStrategy_SetForceToUseUniversalStartPointsFinder, 1,
   (char*)"V.SetForceToUseUniversalStartPointsFinder(int)\nC++: void SetForceToUseUniversalStartPointsFinder (int );\n\n Set or get ForceToUseUniversalStartPointsFinder. If ForceToUseUniversalStartPointsFinder is true, MarkedStartVertices won't be used.\n In this case the input graph must be vtkDirectedAcyclicGraph (Defualt: false).\n"},
  {(char*)"GetForceToUseUniversalStartPointsFinder",                (PyCFunction)PyvtkSimple3DCirclesStrategy_GetForceToUseUniversalStartPointsFinder, 1,
   (char*)"V.GetForceToUseUniversalStartPointsFinder() -> int\nC++: int GetForceToUseUniversalStartPointsFinder ();\n\n Set or get ForceToUseUniversalStartPointsFinder. If ForceToUseUniversalStartPointsFinder is true, MarkedStartVertices won't be used.\n In this case the input graph must be vtkDirectedAcyclicGraph (Defualt: false).\n"},
  {(char*)"ForceToUseUniversalStartPointsFinderOn",                (PyCFunction)PyvtkSimple3DCirclesStrategy_ForceToUseUniversalStartPointsFinderOn, 1,
   (char*)"V.ForceToUseUniversalStartPointsFinderOn()\nC++: void ForceToUseUniversalStartPointsFinderOn ();\n\n Set or get ForceToUseUniversalStartPointsFinder. If ForceToUseUniversalStartPointsFinder is true, MarkedStartVertices won't be used.\n In this case the input graph must be vtkDirectedAcyclicGraph (Defualt: false).\n"},
  {(char*)"ForceToUseUniversalStartPointsFinderOff",                (PyCFunction)PyvtkSimple3DCirclesStrategy_ForceToUseUniversalStartPointsFinderOff, 1,
   (char*)"V.ForceToUseUniversalStartPointsFinderOff()\nC++: void ForceToUseUniversalStartPointsFinderOff ();\n\n Set or get ForceToUseUniversalStartPointsFinder. If ForceToUseUniversalStartPointsFinder is true, MarkedStartVertices won't be used.\n In this case the input graph must be vtkDirectedAcyclicGraph (Defualt: false).\n"},
  {(char*)"SetAutoHeight",                (PyCFunction)PyvtkSimple3DCirclesStrategy_SetAutoHeight, 1,
   (char*)"V.SetAutoHeight(int)\nC++: void SetAutoHeight (int );\n\n Set or get auto height (Default: false). If AutoHeight is true, (r(i+1) - r(i-1))/Height will be smaller than tan(MinimumRadian).\n If you want equal distances and parallel circles, you should turn off AutoHeight.\n"},
  {(char*)"GetAutoHeight",                (PyCFunction)PyvtkSimple3DCirclesStrategy_GetAutoHeight, 1,
   (char*)"V.GetAutoHeight() -> int\nC++: int GetAutoHeight ();\n\n Set or get auto height (Default: false). If AutoHeight is true, (r(i+1) - r(i-1))/Height will be smaller than tan(MinimumRadian).\n If you want equal distances and parallel circles, you should turn off AutoHeight.\n"},
  {(char*)"AutoHeightOn",                (PyCFunction)PyvtkSimple3DCirclesStrategy_AutoHeightOn, 1,
   (char*)"V.AutoHeightOn()\nC++: void AutoHeightOn ();\n\n Set or get auto height (Default: false). If AutoHeight is true, (r(i+1) - r(i-1))/Height will be smaller than tan(MinimumRadian).\n If you want equal distances and parallel circles, you should turn off AutoHeight.\n"},
  {(char*)"AutoHeightOff",                (PyCFunction)PyvtkSimple3DCirclesStrategy_AutoHeightOff, 1,
   (char*)"V.AutoHeightOff()\nC++: void AutoHeightOff ();\n\n Set or get auto height (Default: false). If AutoHeight is true, (r(i+1) - r(i-1))/Height will be smaller than tan(MinimumRadian).\n If you want equal distances and parallel circles, you should turn off AutoHeight.\n"},
  {(char*)"SetMinimumRadian",                (PyCFunction)PyvtkSimple3DCirclesStrategy_SetMinimumRadian, 1,
   (char*)"V.SetMinimumRadian(float)\nC++: void SetMinimumRadian (double );\n\n Set or get minimum radian (used by auto height).\n"},
  {(char*)"GetMinimumRadian",                (PyCFunction)PyvtkSimple3DCirclesStrategy_GetMinimumRadian, 1,
   (char*)"V.GetMinimumRadian() -> float\nC++: double GetMinimumRadian ();\n\n Set or get minimum radian (used by auto height).\n"},
  {(char*)"SetMinimumDegree",                (PyCFunction)PyvtkSimple3DCirclesStrategy_SetMinimumDegree, 1,
   (char*)"V.SetMinimumDegree(float)\nC++: virtual void SetMinimumDegree (double degree);\n\n Set or get minimum degree (used by auto height). There is no separated minimum degree, so minimum radian will be changed.\n"},
  {(char*)"GetMinimumDegree",                (PyCFunction)PyvtkSimple3DCirclesStrategy_GetMinimumDegree, 1,
   (char*)"V.GetMinimumDegree() -> float\nC++: virtual double GetMinimumDegree (void );\n\n Set or get minimum degree (used by auto height). There is no separated minimum degree, so minimum radian will be changed.\n"},
  {(char*)"SetHierarchicalLayers",                (PyCFunction)PyvtkSimple3DCirclesStrategy_SetHierarchicalLayers, 1,
   (char*)"V.SetHierarchicalLayers(vtkIntArray)\nC++: virtual void SetHierarchicalLayers (vtkIntArray *_arg);\n\n Set or get hierarchical layers id by vertices (An usual vertex's layer id is greater or equal to zero. If a vertex is standalone, its\n layer id is -2.) If no HierarchicalLayers array is defined, vtkSimple3DCirclesStrategy will generate it automatically (default).\n"},
  {(char*)"GetHierarchicalLayers",                (PyCFunction)PyvtkSimple3DCirclesStrategy_GetHierarchicalLayers, 1,
   (char*)"V.GetHierarchicalLayers() -> vtkIntArray\nC++: vtkIntArray *GetHierarchicalLayers ();\n\n Set or get hierarchical layers id by vertices (An usual vertex's layer id is greater or equal to zero. If a vertex is standalone, its\n layer id is -2.) If no HierarchicalLayers array is defined, vtkSimple3DCirclesStrategy will generate it automatically (default).\n"},
  {(char*)"SetHierarchicalOrder",                (PyCFunction)PyvtkSimple3DCirclesStrategy_SetHierarchicalOrder, 1,
   (char*)"V.SetHierarchicalOrder(vtkIdTypeArray)\nC++: virtual void SetHierarchicalOrder (vtkIdTypeArray *_arg);\n\n Set or get hierarchical ordering of vertices (The array starts from the first vertex's id. All id must be greater or equal to zero!)\n If no HierarchicalOrder is defined, vtkSimple3DCirclesStrategy will generate it automatically (default).\n"},
  {(char*)"GetHierarchicalOrder",                (PyCFunction)PyvtkSimple3DCirclesStrategy_GetHierarchicalOrder, 1,
   (char*)"V.GetHierarchicalOrder() -> vtkIdTypeArray\nC++: vtkIdTypeArray *GetHierarchicalOrder ();\n\n Set or get hierarchical ordering of vertices (The array starts from the first vertex's id. All id must be greater or equal to zero!)\n If no HierarchicalOrder is defined, vtkSimple3DCirclesStrategy will generate it automatically (default).\n"},
  {(char*)"Layout",                (PyCFunction)PyvtkSimple3DCirclesStrategy_Layout, 1,
   (char*)"V.Layout()\nC++: virtual void Layout (void );\n\n Standard layout method\n"},
  {(char*)"SetGraph",                (PyCFunction)PyvtkSimple3DCirclesStrategy_SetGraph, 1,
   (char*)"V.SetGraph(vtkGraph)\nC++: virtual void SetGraph (vtkGraph *graph);\n\n Set graph (warning: HierarchicalOrder and HierarchicalLayers will set to zero. These reference counts will be decreased!)\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSimple3DCirclesStrategyDoc[] = {
  (char*)"vtkSimple3DCirclesStrategy - places vertices on circles in 3D\n\n",
  "Super Class:\n\n vtkGraphLayoutStrategy\n\n",
  (char*)" Places vertices on circles depending on the graph vertices hierarchy level.\n The source graph could be vtkDirectedAcyclicGraph or vtkDirectedGraph if MarkedStartPoints array was added.\n The algorithm collects the standalone points, too and take them to a separated circle. If method is FixedRadiusMethod,\n the radius of the circles will be equal. If method is FixedDistanceMethod, the distance beetw",
  (char*)"en the points on circles will\n be equal.\n\n In first step initial points are searched. A point is initial, if its in degree equal zero and out degree is greater than zero (or\n marked by MarkedStartVertices and out degree is greater than zero). Independent vertices (in and out degree equal zero) are collected\n separatelly. In second step the hierarchical level is generated for every vertex. In third",
  (char*)" step the hierarchical order is generated.\n If a vertex has no hierarchical level and it is not independent, the graph has loop so the algorithm exit with error message. Finally\n the vertices positions are calculated by the hierarchical order and by the vertices hierarchy levels.\n\n .SECTION Thanks\n Ferenc Nasztanovics, naszta@naszta.hu, Budapest University of Technology and Economics, Department o",
  (char*)"f Structural Mechanics\n\n .SECTION References\n in 3D rotation was used: http://en.citizendium.org/wiki/Rotation_matrix\n\n",
  NULL
};

static vtkObjectBase *vtkSimple3DCirclesStrategyStaticNew()
{
  return vtkSimple3DCirclesStrategy::New();
}

PyObject *PyVTKClass_vtkSimple3DCirclesStrategyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSimple3DCirclesStrategyStaticNew,
                        PyvtkSimple3DCirclesStrategyMethods,
                        (char*)"vtkSimple3DCirclesStrategy",modulename,
                        (char**)vtkSimple3DCirclesStrategyDoc,
                        PyVTKClass_vtkGraphLayoutStrategyNew(modulename));
}

