// python wrapper for vtkGPUInfo object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGPUInfo.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGPUInfoNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGPUInfoNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkGPUInfo_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUInfo *op;

  const char    *temp20;
  op = (vtkGPUInfo *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUInfo::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUInfo_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUInfo *op;

  char    *temp0;
  int      temp20;
  op = (vtkGPUInfo *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUInfo::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUInfo_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUInfo *op;

  vtkGPUInfo  *temp20;
  op = (vtkGPUInfo *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUInfo::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUInfo_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGPUInfo  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGPUInfo::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGPUInfo_SetDedicatedVideoMemory(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUInfo *op;

  vtkIdType   temp0;
  op = (vtkGPUInfo *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGPUInfo::SetDedicatedVideoMemory(temp0);
      }
    else
      {
      op->SetDedicatedVideoMemory(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUInfo_GetDedicatedVideoMemory(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUInfo *op;

  vtkIdType   temp20;
  op = (vtkGPUInfo *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUInfo::GetDedicatedVideoMemory();
      }
    else
      {
      temp20 = op->GetDedicatedVideoMemory();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUInfo_SetDedicatedSystemMemory(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUInfo *op;

  vtkIdType   temp0;
  op = (vtkGPUInfo *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGPUInfo::SetDedicatedSystemMemory(temp0);
      }
    else
      {
      op->SetDedicatedSystemMemory(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUInfo_GetDedicatedSystemMemory(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUInfo *op;

  vtkIdType   temp20;
  op = (vtkGPUInfo *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUInfo::GetDedicatedSystemMemory();
      }
    else
      {
      temp20 = op->GetDedicatedSystemMemory();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUInfo_SetSharedSystemMemory(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUInfo *op;

  vtkIdType   temp0;
  op = (vtkGPUInfo *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGPUInfo::SetSharedSystemMemory(temp0);
      }
    else
      {
      op->SetSharedSystemMemory(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUInfo_GetSharedSystemMemory(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUInfo *op;

  vtkIdType   temp20;
  op = (vtkGPUInfo *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUInfo::GetSharedSystemMemory();
      }
    else
      {
      temp20 = op->GetSharedSystemMemory();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGPUInfoMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGPUInfo_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGPUInfo_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGPUInfo_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGPUInfo\nC++: vtkGPUInfo *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGPUInfo_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGPUInfo\nC++: vtkGPUInfo *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetDedicatedVideoMemory",                (PyCFunction)PyvtkGPUInfo_SetDedicatedVideoMemory, 1,
   (char*)"V.SetDedicatedVideoMemory(int)\nC++: void SetDedicatedVideoMemory (vtkIdType );\n\n Set/Get dedicated video memory in bytes. Initial value is 0.\n Usually the fastest one. If it is not null, it should be take into\n account first and DedicatedSystemMemory or SharedSystemMemory should be\n ignored.\n"},
  {(char*)"GetDedicatedVideoMemory",                (PyCFunction)PyvtkGPUInfo_GetDedicatedVideoMemory, 1,
   (char*)"V.GetDedicatedVideoMemory() -> int\nC++: vtkIdType GetDedicatedVideoMemory ();\n\n Set/Get dedicated video memory in bytes. Initial value is 0.\n Usually the fastest one. If it is not null, it should be take into\n account first and DedicatedSystemMemory or SharedSystemMemory should be\n ignored.\n"},
  {(char*)"SetDedicatedSystemMemory",                (PyCFunction)PyvtkGPUInfo_SetDedicatedSystemMemory, 1,
   (char*)"V.SetDedicatedSystemMemory(int)\nC++: void SetDedicatedSystemMemory (vtkIdType );\n\n Set/Get dedicated system memory in bytes. Initial value is 0.\n This is slow memory. If it is not null, this value should be taken into\n account only if there is no DedicatedVideoMemory and SharedSystemMemory\n should be ignored.\n"},
  {(char*)"GetDedicatedSystemMemory",                (PyCFunction)PyvtkGPUInfo_GetDedicatedSystemMemory, 1,
   (char*)"V.GetDedicatedSystemMemory() -> int\nC++: vtkIdType GetDedicatedSystemMemory ();\n\n Set/Get dedicated system memory in bytes. Initial value is 0.\n This is slow memory. If it is not null, this value should be taken into\n account only if there is no DedicatedVideoMemory and SharedSystemMemory\n should be ignored.\n"},
  {(char*)"SetSharedSystemMemory",                (PyCFunction)PyvtkGPUInfo_SetSharedSystemMemory, 1,
   (char*)"V.SetSharedSystemMemory(int)\nC++: void SetSharedSystemMemory (vtkIdType );\n\n Set/Get shared system memory in bytes. Initial value is 0.\n Slowest memory. This value should be taken into account only if there is\n neither DedicatedVideoMemory nor DedicatedSystemMemory.\n"},
  {(char*)"GetSharedSystemMemory",                (PyCFunction)PyvtkGPUInfo_GetSharedSystemMemory, 1,
   (char*)"V.GetSharedSystemMemory() -> int\nC++: vtkIdType GetSharedSystemMemory ();\n\n Set/Get shared system memory in bytes. Initial value is 0.\n Slowest memory. This value should be taken into account only if there is\n neither DedicatedVideoMemory nor DedicatedSystemMemory.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGPUInfoDoc[] = {
  (char*)"vtkGPUInfo - Stores GPU VRAM information.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkGPUInfo stores information about GPU Video RAM. An host can have\n several GPUs. The values are set by vtkGPUInfoList.\n\n",
  "See Also:\n\n vtkGPUInfoList vtkDirectXGPUInfoList vtkCoreGraphicsGPUInfoList\n\n",
  NULL
};

static vtkObjectBase *vtkGPUInfoStaticNew()
{
  return vtkGPUInfo::New();
}

PyObject *PyVTKClass_vtkGPUInfoNew(char *modulename)
{
  return PyVTKClass_New(&vtkGPUInfoStaticNew,
                        PyvtkGPUInfoMethods,
                        (char*)"vtkGPUInfo",modulename,
                        (char**)vtkGPUInfoDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

