// java wrapper for vtkLabelRenderStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLabelRenderStrategy.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkLabelRenderStrategy_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkLabelRenderStrategy",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLabelRenderStrategy_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkLabelRenderStrategy *op;
  const char    *temp20;

  op = (vtkLabelRenderStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLabelRenderStrategy_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkLabelRenderStrategy *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkLabelRenderStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkLabelRenderStrategy_SupportsRotation_12(JNIEnv *env, jobject obj)
{
  vtkLabelRenderStrategy *op;
  bool   temp20;

  op = (vtkLabelRenderStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SupportsRotation();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkLabelRenderStrategy_SupportsBoundedSize_13(JNIEnv *env, jobject obj)
{
  vtkLabelRenderStrategy *op;
  bool   temp20;

  op = (vtkLabelRenderStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SupportsBoundedSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelRenderStrategy_SetRenderer_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLabelRenderStrategy *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLabelRenderStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenderer(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLabelRenderStrategy_GetRenderer_15(JNIEnv *env, jobject obj)
{
  vtkLabelRenderStrategy *op;
  vtkRenderer  *temp20;

  op = (vtkLabelRenderStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRenderer();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelRenderStrategy_SetDefaultTextProperty_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLabelRenderStrategy *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLabelRenderStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDefaultTextProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLabelRenderStrategy_GetDefaultTextProperty_17(JNIEnv *env, jobject obj)
{
  vtkLabelRenderStrategy *op;
  vtkTextProperty  *temp20;

  op = (vtkLabelRenderStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDefaultTextProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelRenderStrategy_StartFrame_18(JNIEnv *env, jobject obj)
{
  vtkLabelRenderStrategy *op;

  op = (vtkLabelRenderStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->StartFrame();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelRenderStrategy_EndFrame_19(JNIEnv *env, jobject obj)
{
  vtkLabelRenderStrategy *op;

  op = (vtkLabelRenderStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->EndFrame();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelRenderStrategy_ReleaseGraphicsResources_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLabelRenderStrategy *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLabelRenderStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}
