// python wrapper for vtkQtTreeRingLabelMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkQtTreeRingLabelMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkQtTreeRingLabelMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkQtTreeRingLabelMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkLabeledDataMapperNew(char *); }

static PyObject *PyvtkQtTreeRingLabelMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtTreeRingLabelMapper *op;

  const char    *temp20;
  op = (vtkQtTreeRingLabelMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQtTreeRingLabelMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkQtTreeRingLabelMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtTreeRingLabelMapper *op;

  char    *temp0;
  int      temp20;
  op = (vtkQtTreeRingLabelMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQtTreeRingLabelMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQtTreeRingLabelMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtTreeRingLabelMapper *op;

  vtkQtTreeRingLabelMapper  *temp20;
  op = (vtkQtTreeRingLabelMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQtTreeRingLabelMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQtTreeRingLabelMapper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkQtTreeRingLabelMapper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkQtTreeRingLabelMapper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkQtTreeRingLabelMapper_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtTreeRingLabelMapper *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  vtkActor2D  *temp1;
  PyObject *tempH1;
  op = (vtkQtTreeRingLabelMapper *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkActor2D *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkActor2D");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkQtTreeRingLabelMapper::RenderOpaqueGeometry(temp0,temp1);
      }
    else
      {
      op->RenderOpaqueGeometry(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkQtTreeRingLabelMapper_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtTreeRingLabelMapper *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  vtkActor2D  *temp1;
  PyObject *tempH1;
  op = (vtkQtTreeRingLabelMapper *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break5;
    temp1 = (vtkActor2D *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkActor2D");
    if (!temp1 && tempH1 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkQtTreeRingLabelMapper::RenderOverlay(temp0,temp1);
      }
    else
      {
      op->RenderOverlay(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkQtTreeRingLabelMapper_GetInputTree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtTreeRingLabelMapper *op;

  vtkTree  *temp20;
  op = (vtkQtTreeRingLabelMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQtTreeRingLabelMapper::GetInputTree();
      }
    else
      {
      temp20 = op->GetInputTree();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQtTreeRingLabelMapper_SetSectorsArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtTreeRingLabelMapper *op;

  char    *temp0;
  op = (vtkQtTreeRingLabelMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkQtTreeRingLabelMapper::SetSectorsArrayName(temp0);
      }
    else
      {
      op->SetSectorsArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkQtTreeRingLabelMapper_SetLabelTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtTreeRingLabelMapper *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  op = (vtkQtTreeRingLabelMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkQtTreeRingLabelMapper::SetLabelTextProperty(temp0);
      }
    else
      {
      op->SetLabelTextProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  /* handle an occurrence */
  {
  vtkQtTreeRingLabelMapper *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  int      temp1;
  PyErr_Clear();
  op = (vtkQtTreeRingLabelMapper *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkQtTreeRingLabelMapper::SetLabelTextProperty(temp0,temp1);
      }
    else
      {
      op->SetLabelTextProperty(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkQtTreeRingLabelMapper_GetLabelTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtTreeRingLabelMapper *op;

  vtkTextProperty  *temp20;
  op = (vtkQtTreeRingLabelMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQtTreeRingLabelMapper::GetLabelTextProperty();
      }
    else
      {
      temp20 = op->GetLabelTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkQtTreeRingLabelMapper *op;

  int      temp0;
  vtkTextProperty  *temp20;
  PyErr_Clear();
  op = (vtkQtTreeRingLabelMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQtTreeRingLabelMapper::GetLabelTextProperty(temp0);
      }
    else
      {
      temp20 = op->GetLabelTextProperty(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQtTreeRingLabelMapper_SetTextRotationArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtTreeRingLabelMapper *op;

  char    *temp0;
  op = (vtkQtTreeRingLabelMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkQtTreeRingLabelMapper::SetTextRotationArrayName(temp0);
      }
    else
      {
      op->SetTextRotationArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkQtTreeRingLabelMapper_GetTextRotationArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtTreeRingLabelMapper *op;

  char    *temp20;
  op = (vtkQtTreeRingLabelMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQtTreeRingLabelMapper::GetTextRotationArrayName();
      }
    else
      {
      temp20 = op->GetTextRotationArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkQtTreeRingLabelMapper_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtTreeRingLabelMapper *op;

  unsigned long     temp20;
  op = (vtkQtTreeRingLabelMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQtTreeRingLabelMapper::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQtTreeRingLabelMapper_SetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtTreeRingLabelMapper *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkQtTreeRingLabelMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkQtTreeRingLabelMapper::SetRenderer(temp0);
      }
    else
      {
      op->SetRenderer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkQtTreeRingLabelMapper_GetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtTreeRingLabelMapper *op;

  vtkRenderer  *temp20;
  op = (vtkQtTreeRingLabelMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQtTreeRingLabelMapper::GetRenderer();
      }
    else
      {
      temp20 = op->GetRenderer();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkQtTreeRingLabelMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkQtTreeRingLabelMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkQtTreeRingLabelMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkQtTreeRingLabelMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkQtTreeRingLabelMapper\nC++: vtkQtTreeRingLabelMapper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkQtTreeRingLabelMapper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkQtTreeRingLabelMapper\nC++: vtkQtTreeRingLabelMapper *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkQtTreeRingLabelMapper_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport, vtkActor2D)\nC++: virtual void RenderOpaqueGeometry (vtkViewport *viewport, vtkActor2D *actor);\n\n Draw the text to the screen at each input point.\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkQtTreeRingLabelMapper_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport, vtkActor2D)\nC++: virtual void RenderOverlay (vtkViewport *viewport, vtkActor2D *actor);\n\n Draw the text to the screen at each input point.\n"},
  {(char*)"GetInputTree",                (PyCFunction)PyvtkQtTreeRingLabelMapper_GetInputTree, 1,
   (char*)"V.GetInputTree() -> vtkTree\nC++: virtual vtkTree *GetInputTree ();\n\n The input to this filter.\n"},
  {(char*)"SetSectorsArrayName",                (PyCFunction)PyvtkQtTreeRingLabelMapper_SetSectorsArrayName, 1,
   (char*)"V.SetSectorsArrayName(string)\nC++: virtual void SetSectorsArrayName (const char *name);\n\n The name of the 4-tuple array used for\n"},
  {(char*)"SetLabelTextProperty",                (PyCFunction)PyvtkQtTreeRingLabelMapper_SetLabelTextProperty, 1,
   (char*)"V.SetLabelTextProperty(vtkTextProperty)\nC++: virtual void SetLabelTextProperty (vtkTextProperty *p);\nV.SetLabelTextProperty(vtkTextProperty, int)\nC++: virtual void SetLabelTextProperty (vtkTextProperty *p, int type);this Superclass SetLabelTextProperty p type \n\n Set/Get the text property. Note that multiple type text properties\n (set with a second integer parameter) are not currently supported,\n but are provided to avoid compiler warnings.\n"},
  {(char*)"GetLabelTextProperty",                (PyCFunction)PyvtkQtTreeRingLabelMapper_GetLabelTextProperty, 1,
   (char*)"V.GetLabelTextProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetLabelTextProperty ();\nV.GetLabelTextProperty(int) -> vtkTextProperty\nC++: virtual vtkTextProperty *GetLabelTextProperty (int type);return this Superclass GetLabelTextProperty type \n\n Set/Get the text property. Note that multiple type text properties\n (set with a second integer parameter) are not currently supported,\n but are provided to avoid compiler warnings.\n"},
  {(char*)"SetTextRotationArrayName",                (PyCFunction)PyvtkQtTreeRingLabelMapper_SetTextRotationArrayName, 1,
   (char*)"V.SetTextRotationArrayName(string)\nC++: void SetTextRotationArrayName (char *);\n\n Set/Get the name of the text rotation array.\n"},
  {(char*)"GetTextRotationArrayName",                (PyCFunction)PyvtkQtTreeRingLabelMapper_GetTextRotationArrayName, 1,
   (char*)"V.GetTextRotationArrayName() -> string\nC++: char *GetTextRotationArrayName ();\n\n Set/Get the name of the text rotation array.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkQtTreeRingLabelMapper_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime ();\n\n Return the object's MTime. This is overridden to include \n the timestamp of its internal class.\n"},
  {(char*)"SetRenderer",                (PyCFunction)PyvtkQtTreeRingLabelMapper_SetRenderer, 1,
   (char*)"V.SetRenderer(vtkRenderer)\nC++: void SetRenderer (vtkRenderer *ren);if this Renderer ren this Renderer ren this Modified \n\n"},
  {(char*)"GetRenderer",                (PyCFunction)PyvtkQtTreeRingLabelMapper_GetRenderer, 1,
   (char*)"V.GetRenderer() -> vtkRenderer\nC++: vtkRenderer *GetRenderer ();return this Renderer \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkQtTreeRingLabelMapperDoc[] = {
  (char*)"vtkQtTreeRingLabelMapper - draw text labels on a tree map\n\n",
  "Super Class:\n\n vtkLabeledDataMapper\n\n",
  (char*)" vtkQtTreeRingLabelMapper is a mapper that renders text on a tree map.\n A tree map is a vtkTree with an associated 4-tuple array\n used for storing the boundary rectangle for each vertex in the tree.\n The user must specify the array name used for storing the rectangles.\n\n The mapper iterates through the tree and attempts and renders a label\n inside the vertex's rectangle as long as the following co",
  (char*)"nditions hold:\n 1. The vertex level is within the range of levels specified for labeling.\n 2. The label can fully fit inside its box.\n 3. The label does not overlap an ancestor's label.\n\n\n",
  "See Also:\n\n vtkLabeledDataMapper\n\n .SECTION Thanks\n Thanks to Jason Shepherd from\n Sandia National Laboratories for help in developing this class.\n\n",
  NULL
};

static vtkObjectBase *vtkQtTreeRingLabelMapperStaticNew()
{
  return vtkQtTreeRingLabelMapper::New();
}

PyObject *PyVTKClass_vtkQtTreeRingLabelMapperNew(char *modulename)
{
  return PyVTKClass_New(&vtkQtTreeRingLabelMapperStaticNew,
                        PyvtkQtTreeRingLabelMapperMethods,
                        (char*)"vtkQtTreeRingLabelMapper",modulename,
                        (char**)vtkQtTreeRingLabelMapperDoc,
                        PyVTKClass_vtkLabeledDataMapperNew(modulename));
}

