// python wrapper for vtkAbstractPolygonalHandleRepresentation3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAbstractPolygonalHandleRepresentation3D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAbstractPolygonalHandleRepresentation3DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAbstractPolygonalHandleRepresentation3DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkHandleRepresentationNew(char *); }

static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  const char    *temp20;
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPolygonalHandleRepresentation3D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  char    *temp0;
  int      temp20;
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPolygonalHandleRepresentation3D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  vtkAbstractPolygonalHandleRepresentation3D  *temp20;
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPolygonalHandleRepresentation3D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_SetWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  double temp0[3];
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractPolygonalHandleRepresentation3D::SetWorldPosition(temp0);
      }
    else
      {
      op->SetWorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_SetDisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  double temp0[3];
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractPolygonalHandleRepresentation3D::SetDisplayPosition(temp0);
      }
    else
      {
      op->SetDisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_SetHandle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractPolygonalHandleRepresentation3D::SetHandle(temp0);
      }
    else
      {
      op->SetHandle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_GetHandle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  vtkPolyData  *temp20;
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPolygonalHandleRepresentation3D::GetHandle();
      }
    else
      {
      temp20 = op->GetHandle();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_SetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  vtkProperty  *temp0;
  PyObject *tempH0;
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractPolygonalHandleRepresentation3D::SetProperty(temp0);
      }
    else
      {
      op->SetProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_SetSelectedProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  vtkProperty  *temp0;
  PyObject *tempH0;
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractPolygonalHandleRepresentation3D::SetSelectedProperty(temp0);
      }
    else
      {
      op->SetSelectedProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_GetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  vtkProperty  *temp20;
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPolygonalHandleRepresentation3D::GetProperty();
      }
    else
      {
      temp20 = op->GetProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_GetSelectedProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  vtkProperty  *temp20;
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPolygonalHandleRepresentation3D::GetSelectedProperty();
      }
    else
      {
      temp20 = op->GetSelectedProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_GetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  vtkAbstractTransform  *temp20;
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPolygonalHandleRepresentation3D::GetTransform();
      }
    else
      {
      temp20 = op->GetTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractPolygonalHandleRepresentation3D::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_StartWidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  double temp0[2];
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractPolygonalHandleRepresentation3D::StartWidgetInteraction(temp0);
      }
    else
      {
      op->StartWidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_WidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  double temp0[2];
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractPolygonalHandleRepresentation3D::WidgetInteraction(temp0);
      }
    else
      {
      op->WidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_ComputeInteractionState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPolygonalHandleRepresentation3D::ComputeInteractionState(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->ComputeInteractionState(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractPolygonalHandleRepresentation3D::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractPolygonalHandleRepresentation3D::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_GetActors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractPolygonalHandleRepresentation3D::GetActors(temp0);
      }
    else
      {
      op->GetActors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractPolygonalHandleRepresentation3D::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break19:
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPolygonalHandleRepresentation3D::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_RenderTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPolygonalHandleRepresentation3D::RenderTranslucentPolygonalGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentPolygonalGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_HasTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  int      temp20;
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPolygonalHandleRepresentation3D::HasTranslucentPolygonalGeometry();
      }
    else
      {
      temp20 = op->HasTranslucentPolygonalGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_SetLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  int      temp0;
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractPolygonalHandleRepresentation3D::SetLabelVisibility(temp0);
      }
    else
      {
      op->SetLabelVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_GetLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  int      temp20;
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPolygonalHandleRepresentation3D::GetLabelVisibility();
      }
    else
      {
      temp20 = op->GetLabelVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_LabelVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractPolygonalHandleRepresentation3D::LabelVisibilityOn();
      }
    else
      {
      op->LabelVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_LabelVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractPolygonalHandleRepresentation3D::LabelVisibilityOff();
      }
    else
      {
      op->LabelVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_SetLabelText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  char    *temp0;
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractPolygonalHandleRepresentation3D::SetLabelText(temp0);
      }
    else
      {
      op->SetLabelText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_GetLabelText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  char    *temp20;
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPolygonalHandleRepresentation3D::GetLabelText();
      }
    else
      {
      temp20 = op->GetLabelText();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_SetLabelTextScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  double temp0[3];
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractPolygonalHandleRepresentation3D::SetLabelTextScale(temp0);
      }
    else
      {
      op->SetLabelTextScale(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_GetLabelTextActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  vtkFollower  *temp20;
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPolygonalHandleRepresentation3D::GetLabelTextActor();
      }
    else
      {
      temp20 = op->GetLabelTextActor();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_SetUniformScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  double   temp0;
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractPolygonalHandleRepresentation3D::SetUniformScale(temp0);
      }
    else
      {
      op->SetUniformScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_SetHandleVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  int      temp0;
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractPolygonalHandleRepresentation3D::SetHandleVisibility(temp0);
      }
    else
      {
      op->SetHandleVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_GetHandleVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  int      temp20;
  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPolygonalHandleRepresentation3D::GetHandleVisibility();
      }
    else
      {
      temp20 = op->GetHandleVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_HandleVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractPolygonalHandleRepresentation3D::HandleVisibilityOn();
      }
    else
      {
      op->HandleVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPolygonalHandleRepresentation3D_HandleVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPolygonalHandleRepresentation3D *op;

  op = (vtkAbstractPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractPolygonalHandleRepresentation3D::HandleVisibilityOff();
      }
    else
      {
      op->HandleVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAbstractPolygonalHandleRepresentation3DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instances of this class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAbstractPolygonalHandleRepresentation3D\nC++: vtkAbstractPolygonalHandleRepresentation3D *NewInstance ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"SetWorldPosition",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_SetWorldPosition, 1,
   (char*)"V.SetWorldPosition((float, float, float))\nC++: virtual void SetWorldPosition (double p[3]);\n\n Set the position of the point in world and display coordinates.\n"},
  {(char*)"SetDisplayPosition",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_SetDisplayPosition, 1,
   (char*)"V.SetDisplayPosition((float, float, float))\nC++: virtual void SetDisplayPosition (double p[3]);\n\n Set the position of the point in world and display coordinates.\n"},
  {(char*)"SetHandle",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_SetHandle, 1,
   (char*)"V.SetHandle(vtkPolyData)\nC++: void SetHandle (vtkPolyData *);\n\n Set/get the handle polydata.\n"},
  {(char*)"GetHandle",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_GetHandle, 1,
   (char*)"V.GetHandle() -> vtkPolyData\nC++: vtkPolyData *GetHandle ();\n\n Set/get the handle polydata.\n"},
  {(char*)"SetProperty",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_SetProperty, 1,
   (char*)"V.SetProperty(vtkProperty)\nC++: void SetProperty (vtkProperty *);\n\n Set/Get the handle properties when unselected and selected.\n"},
  {(char*)"SetSelectedProperty",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_SetSelectedProperty, 1,
   (char*)"V.SetSelectedProperty(vtkProperty)\nC++: void SetSelectedProperty (vtkProperty *);\n\n Set/Get the handle properties when unselected and selected.\n"},
  {(char*)"GetProperty",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_GetProperty, 1,
   (char*)"V.GetProperty() -> vtkProperty\nC++: vtkProperty *GetProperty ();\n\n Set/Get the handle properties when unselected and selected.\n"},
  {(char*)"GetSelectedProperty",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_GetSelectedProperty, 1,
   (char*)"V.GetSelectedProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedProperty ();\n\n Set/Get the handle properties when unselected and selected.\n"},
  {(char*)"GetTransform",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_GetTransform, 1,
   (char*)"V.GetTransform() -> vtkAbstractTransform\nC++: virtual vtkAbstractTransform *GetTransform ();\n\n Get the transform used to transform the generic handle polydata before\n placing it in the render window\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation ();\n\n Methods to make this class properly act like a vtkWidgetRepresentation.\n"},
  {(char*)"StartWidgetInteraction",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_StartWidgetInteraction, 1,
   (char*)"V.StartWidgetInteraction((float, float))\nC++: virtual void StartWidgetInteraction (double eventPos[2]);\n\n Methods to make this class properly act like a vtkWidgetRepresentation.\n"},
  {(char*)"WidgetInteraction",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_WidgetInteraction, 1,
   (char*)"V.WidgetInteraction((float, float))\nC++: virtual void WidgetInteraction (double eventPos[2]);\n\n Methods to make this class properly act like a vtkWidgetRepresentation.\n"},
  {(char*)"ComputeInteractionState",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_ComputeInteractionState, 1,
   (char*)"V.ComputeInteractionState(int, int, int) -> int\nC++: virtual int ComputeInteractionState (int X, int Y, int modify);\n\n Methods to make this class properly act like a vtkWidgetRepresentation.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkProp)\nC++: virtual void ShallowCopy (vtkProp *prop);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkProp)\nC++: virtual void DeepCopy (vtkProp *prop);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"GetActors",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_GetActors, 1,
   (char*)"V.GetActors(vtkPropCollection)\nC++: virtual void GetActors (vtkPropCollection *);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *viewport);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"RenderTranslucentPolygonalGeometry",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_RenderTranslucentPolygonalGeometry, 1,
   (char*)"V.RenderTranslucentPolygonalGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentPolygonalGeometry (vtkViewport *viewport);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"HasTranslucentPolygonalGeometry",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_HasTranslucentPolygonalGeometry, 1,
   (char*)"V.HasTranslucentPolygonalGeometry() -> int\nC++: virtual int HasTranslucentPolygonalGeometry ();\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"SetLabelVisibility",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_SetLabelVisibility, 1,
   (char*)"V.SetLabelVisibility(int)\nC++: void SetLabelVisibility (int );\n\n A label may be associated with the seed. The string can be set via\n SetLabelText. The visibility of the label can be turned on / off.\n"},
  {(char*)"GetLabelVisibility",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_GetLabelVisibility, 1,
   (char*)"V.GetLabelVisibility() -> int\nC++: int GetLabelVisibility ();\n\n A label may be associated with the seed. The string can be set via\n SetLabelText. The visibility of the label can be turned on / off.\n"},
  {(char*)"LabelVisibilityOn",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_LabelVisibilityOn, 1,
   (char*)"V.LabelVisibilityOn()\nC++: void LabelVisibilityOn ();\n\n A label may be associated with the seed. The string can be set via\n SetLabelText. The visibility of the label can be turned on / off.\n"},
  {(char*)"LabelVisibilityOff",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_LabelVisibilityOff, 1,
   (char*)"V.LabelVisibilityOff()\nC++: void LabelVisibilityOff ();\n\n A label may be associated with the seed. The string can be set via\n SetLabelText. The visibility of the label can be turned on / off.\n"},
  {(char*)"SetLabelText",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_SetLabelText, 1,
   (char*)"V.SetLabelText(string)\nC++: virtual void SetLabelText (const char *label);\n\n A label may be associated with the seed. The string can be set via\n SetLabelText. The visibility of the label can be turned on / off.\n"},
  {(char*)"GetLabelText",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_GetLabelText, 1,
   (char*)"V.GetLabelText() -> string\nC++: virtual char *GetLabelText ();\n\n A label may be associated with the seed. The string can be set via\n SetLabelText. The visibility of the label can be turned on / off.\n"},
  {(char*)"SetLabelTextScale",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_SetLabelTextScale, 1,
   (char*)"V.SetLabelTextScale((float, float, float))\nC++: virtual void SetLabelTextScale (double scale[3]);\n\n Scale text (font size along each dimension).\n"},
  {(char*)"GetLabelTextActor",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_GetLabelTextActor, 1,
   (char*)"V.GetLabelTextActor() -> vtkFollower\nC++: vtkFollower *GetLabelTextActor ();\n\n Get the label text actor\n"},
  {(char*)"SetUniformScale",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_SetUniformScale, 1,
   (char*)"V.SetUniformScale(float)\nC++: virtual void SetUniformScale (double scale);\n\n The handle may be scaled uniformly in all three dimensions using this \n API. The handle can also be scaled interactively using the right \n mouse button.\n"},
  {(char*)"SetHandleVisibility",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_SetHandleVisibility, 1,
   (char*)"V.SetHandleVisibility(int)\nC++: void SetHandleVisibility (int );\n\n Toogle the visibility of the handle on and off\n"},
  {(char*)"GetHandleVisibility",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_GetHandleVisibility, 1,
   (char*)"V.GetHandleVisibility() -> int\nC++: int GetHandleVisibility ();\n\n Toogle the visibility of the handle on and off\n"},
  {(char*)"HandleVisibilityOn",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_HandleVisibilityOn, 1,
   (char*)"V.HandleVisibilityOn()\nC++: void HandleVisibilityOn ();\n\n Toogle the visibility of the handle on and off\n"},
  {(char*)"HandleVisibilityOff",                (PyCFunction)PyvtkAbstractPolygonalHandleRepresentation3D_HandleVisibilityOff, 1,
   (char*)"V.HandleVisibilityOff()\nC++: void HandleVisibilityOff ();\n\n Toogle the visibility of the handle on and off\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAbstractPolygonalHandleRepresentation3DDoc[] = {
  (char*)"vtkAbstractPolygonalHandleRepresentation3D - represent a user defined handle geometry in 3D while maintaining a fixed orientation w.r.t the camera.\n\n",
  "Super Class:\n\n vtkHandleRepresentation\n\n",
  (char*)" This class serves as the geometrical representation of a vtkHandleWidget. \n The handle can be represented by an arbitrary polygonal data (vtkPolyData),\n set via SetHandle(vtkPolyData *). The actual position of the handle \n will be initially assumed to be (0,0,0). You can specify an offset from\n this position if desired. This class differs from \n vtkPolygonalHandleRepresentation3D in that the hand",
  (char*)"le will always remain\n front facing, ie it maintains a fixed orientation with respect to the \n camera. This is done by using vtkFollowers internally to render the actors.\n\n",
  "See Also:\n\n vtkPolygonalHandleRepresentation3D vtkHandleRepresentation vtkHandleWidget\n\n",
  NULL
};

PyObject *PyVTKClass_vtkAbstractPolygonalHandleRepresentation3DNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkAbstractPolygonalHandleRepresentation3DMethods,
                        (char*)"vtkAbstractPolygonalHandleRepresentation3D",modulename,
                        (char**)vtkAbstractPolygonalHandleRepresentation3DDoc,
                        PyVTKClass_vtkHandleRepresentationNew(modulename));
}

